#ifndef XPARAMETERS_H   /* prevent circular inclusions */
#define XPARAMETERS_H   /* by using protection macros */

/* Definitions for bus frequencies */
#define XPAR_CPU_M_AXI_DP_FREQ_HZ 250000000
/******************************************************************/

/* Canonical definitions for bus frequencies */
/******************************************************************/

#define XPAR_CPU_CORE_CLOCK_FREQ_HZ 250000000
#define XPAR_MICROBLAZE_CORE_CLOCK_FREQ_HZ 250000000

/******************************************************************/


/* Definitions for peripheral SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT */
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ADDR_SIZE 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ADDR_TAG_BITS 17
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ALLOW_DCACHE_WR 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ALLOW_ICACHE_WR 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_AREA_OPTIMIZED 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ASYNC_INTERRUPT 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ASYNC_WAKEUP 3
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_AVOID_PRIMITIVES 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_BASE_VECTORS 0x00000000f0000000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_BRANCH_TARGET_CACHE_SIZE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_CACHE_BYTE_SIZE 8192
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DADDR_SIZE 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DATA_SIZE 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_ADDR_TAG 17
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_ALWAYS_USED 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_BASEADDR 0x00000000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_BYTE_SIZE 8192
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_DATA_WIDTH 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_FORCE_TAG_LUTRAM 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_LINE_LEN 4
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_USE_WRITEBACK 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DCACHE_VICTIMS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DC_AXI_MON 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DEBUG_COUNTER_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DEBUG_ENABLED 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DEBUG_EVENT_COUNTERS 5
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DEBUG_EXTERNAL_TRACE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DEBUG_INTERFACE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DEBUG_LATENCY_COUNTERS 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DEBUG_PROFILE_SIZE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DEBUG_TRACE_ASYNC_RESET 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DEBUG_TRACE_SIZE 8192
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DIV_ZERO_EXCEPTION 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DP_AXI_MON 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_DYNAMIC_BUS_SIZING 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_D_AXI 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_D_LMB 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_D_LMB_MON 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_D_LMB_PROTOCOL 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ECC_USE_CE_EXCEPTION 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_EDGE_IS_POSITIVE 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ENABLE_DISCRETE_PORTS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ENDIANNESS 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_FAULT_TOLERANT 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_FPU_EXCEPTION 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_FREQ 250000000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_FSL_EXCEPTION 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_FSL_LINKS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_IADDR_SIZE 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ICACHE_ALWAYS_USED 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ICACHE_BASEADDR 0x00000000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ICACHE_DATA_WIDTH 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ICACHE_FORCE_TAG_LUTRAM 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ICACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ICACHE_LINE_LEN 4
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ICACHE_STREAMS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ICACHE_VICTIMS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_IC_AXI_MON 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_ILL_OPCODE_EXCEPTION 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_IMPRECISE_EXCEPTIONS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_INSTR_SIZE 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_INTERCONNECT 2
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_INTERRUPT_IS_EDGE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_INTERRUPT_MON 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_IP_AXI_MON 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_I_AXI 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_I_LMB 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_I_LMB_MON 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_I_LMB_PROTOCOL 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LMB_DATA_SIZE 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LOCKSTEP_MASTER 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LOCKSTEP_SELECT 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LOCKSTEP_SLAVE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M0_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M0_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M1_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M1_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M2_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M2_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M3_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M3_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M4_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M4_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M5_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M5_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M6_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M6_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M7_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M7_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M8_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M8_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M9_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M9_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M10_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M10_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M11_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M11_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M12_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M12_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M13_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M13_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M14_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M14_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M15_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M15_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_MMU_DTLB_SIZE 4
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_MMU_ITLB_SIZE 2
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_MMU_PRIVILEGED_INSTR 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_MMU_TLB_ACCESS 3
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_MMU_ZONES 16
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_ADDR_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_ARUSER_WIDTH 5
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_AWUSER_WIDTH 5
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_BUSER_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_EXCLUSIVE_ACCESS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_RUSER_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_THREAD_ID_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_USER_SIGNALS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_USER_VALUE 31
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DC_WUSER_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DP_ADDR_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DP_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DP_EXCLUSIVE_ACCESS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_DP_THREAD_ID_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_D_BUS_EXCEPTION 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_ADDR_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_ARUSER_WIDTH 5
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_AWUSER_WIDTH 5
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_BUSER_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_RUSER_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_THREAD_ID_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_USER_SIGNALS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_USER_VALUE 31
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IC_WUSER_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IP_ADDR_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IP_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_IP_THREAD_ID_WIDTH 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_M_AXI_I_BUS_EXCEPTION 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_NUMBER_OF_PC_BRK 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_NUMBER_OF_RD_ADDR_BRK 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_NUMBER_OF_WR_ADDR_BRK 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_NUM_SYNC_FF_CLK 2
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_NUM_SYNC_FF_CLK_DEBUG 2
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_NUM_SYNC_FF_CLK_IRQ 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_NUM_SYNC_FF_DBG_CLK 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_NUM_SYNC_FF_DBG_TRACE_CLK 2
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_OPCODE_0X0_ILLEGAL 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_OPTIMIZATION 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_PC_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_PIADDR_SIZE 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_PVR 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_PVR_USER1 0x00
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_PVR_USER2 0x00000000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_RESET_MSR 0x00000000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_RESET_MSR_BIP 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_RESET_MSR_DCE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_RESET_MSR_EE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_RESET_MSR_EIP 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_RESET_MSR_ICE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_RESET_MSR_IE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S0_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S0_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S1_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S1_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S2_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S2_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S3_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S3_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S4_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S4_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S5_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S5_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S6_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S6_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S7_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S7_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S8_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S8_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S9_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S9_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S10_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S10_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S11_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S11_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S12_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S12_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S13_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S13_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S14_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S14_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S15_AXIS_DATA_WIDTH 32
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_S15_AXIS_PROTOCOL GENERIC
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_SCO 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_TRACE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_UNALIGNED_EXCEPTIONS 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_BARREL 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_BRANCH_TARGET_CACHE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_CONFIG_RESET 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_DCACHE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_DIV 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_EXTENDED_FSL_INSTR 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_EXT_BRK 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_EXT_NM_BRK 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_FPU 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_HW_MUL 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_ICACHE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_INTERRUPT 2
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_MMU 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_MSR_INSTR 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_NON_SECURE 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_PCMP_INSTR 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_REORDER_INSTR 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_USE_STACK_PROTECTION 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_COMPONENT_NAME bd_e570_microblaze_ert_0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_EDK_IPTYPE PROCESSOR
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_EDK_SPECIAL microblaze
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_G_TEMPLATE_LIST 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_G_USE_EXCEPTIONS 0

/******************************************************************/

#define XPAR_CPU_ID 0
#define XPAR_MICROBLAZE_ID 0
#define XPAR_MICROBLAZE_ADDR_SIZE 32
#define XPAR_MICROBLAZE_ADDR_TAG_BITS 17
#define XPAR_MICROBLAZE_ALLOW_DCACHE_WR 1
#define XPAR_MICROBLAZE_ALLOW_ICACHE_WR 1
#define XPAR_MICROBLAZE_AREA_OPTIMIZED 0
#define XPAR_MICROBLAZE_ASYNC_INTERRUPT 1
#define XPAR_MICROBLAZE_ASYNC_WAKEUP 3
#define XPAR_MICROBLAZE_AVOID_PRIMITIVES 0
#define XPAR_MICROBLAZE_BASE_VECTORS 0x00000000f0000000
#define XPAR_MICROBLAZE_BRANCH_TARGET_CACHE_SIZE 0
#define XPAR_MICROBLAZE_CACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_DADDR_SIZE 32
#define XPAR_MICROBLAZE_DATA_SIZE 32
#define XPAR_MICROBLAZE_DCACHE_ADDR_TAG 17
#define XPAR_MICROBLAZE_DCACHE_ALWAYS_USED 1
#define XPAR_MICROBLAZE_DCACHE_BASEADDR 0x00000000
#define XPAR_MICROBLAZE_DCACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_DCACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_DCACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_DCACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_MICROBLAZE_DCACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_DCACHE_USE_WRITEBACK 0
#define XPAR_MICROBLAZE_DCACHE_VICTIMS 0
#define XPAR_MICROBLAZE_DC_AXI_MON 0
#define XPAR_MICROBLAZE_DEBUG_COUNTER_WIDTH 32
#define XPAR_MICROBLAZE_DEBUG_ENABLED 1
#define XPAR_MICROBLAZE_DEBUG_EVENT_COUNTERS 5
#define XPAR_MICROBLAZE_DEBUG_EXTERNAL_TRACE 0
#define XPAR_MICROBLAZE_DEBUG_INTERFACE 0
#define XPAR_MICROBLAZE_DEBUG_LATENCY_COUNTERS 1
#define XPAR_MICROBLAZE_DEBUG_PROFILE_SIZE 0
#define XPAR_MICROBLAZE_DEBUG_TRACE_ASYNC_RESET 0
#define XPAR_MICROBLAZE_DEBUG_TRACE_SIZE 8192
#define XPAR_MICROBLAZE_DIV_ZERO_EXCEPTION 0
#define XPAR_MICROBLAZE_DP_AXI_MON 0
#define XPAR_MICROBLAZE_DYNAMIC_BUS_SIZING 0
#define XPAR_MICROBLAZE_D_AXI 1
#define XPAR_MICROBLAZE_D_LMB 1
#define XPAR_MICROBLAZE_D_LMB_MON 0
#define XPAR_MICROBLAZE_D_LMB_PROTOCOL 0
#define XPAR_MICROBLAZE_ECC_USE_CE_EXCEPTION 0
#define XPAR_MICROBLAZE_EDGE_IS_POSITIVE 1
#define XPAR_MICROBLAZE_ENABLE_DISCRETE_PORTS 0
#define XPAR_MICROBLAZE_ENDIANNESS 1
#define XPAR_MICROBLAZE_FAULT_TOLERANT 0
#define XPAR_MICROBLAZE_FPU_EXCEPTION 0
#define XPAR_MICROBLAZE_FREQ 250000000
#define XPAR_MICROBLAZE_FSL_EXCEPTION 0
#define XPAR_MICROBLAZE_FSL_LINKS 0
#define XPAR_MICROBLAZE_IADDR_SIZE 32
#define XPAR_MICROBLAZE_ICACHE_ALWAYS_USED 1
#define XPAR_MICROBLAZE_ICACHE_BASEADDR 0x00000000
#define XPAR_MICROBLAZE_ICACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_ICACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_ICACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_MICROBLAZE_ICACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_ICACHE_STREAMS 0
#define XPAR_MICROBLAZE_ICACHE_VICTIMS 0
#define XPAR_MICROBLAZE_IC_AXI_MON 0
#define XPAR_MICROBLAZE_ILL_OPCODE_EXCEPTION 0
#define XPAR_MICROBLAZE_IMPRECISE_EXCEPTIONS 0
#define XPAR_MICROBLAZE_INSTR_SIZE 32
#define XPAR_MICROBLAZE_INTERCONNECT 2
#define XPAR_MICROBLAZE_INTERRUPT_IS_EDGE 0
#define XPAR_MICROBLAZE_INTERRUPT_MON 0
#define XPAR_MICROBLAZE_IP_AXI_MON 0
#define XPAR_MICROBLAZE_I_AXI 0
#define XPAR_MICROBLAZE_I_LMB 1
#define XPAR_MICROBLAZE_I_LMB_MON 0
#define XPAR_MICROBLAZE_I_LMB_PROTOCOL 0
#define XPAR_MICROBLAZE_LMB_DATA_SIZE 32
#define XPAR_MICROBLAZE_LOCKSTEP_MASTER 0
#define XPAR_MICROBLAZE_LOCKSTEP_SELECT 0
#define XPAR_MICROBLAZE_LOCKSTEP_SLAVE 0
#define XPAR_MICROBLAZE_M0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_MMU_DTLB_SIZE 4
#define XPAR_MICROBLAZE_MMU_ITLB_SIZE 2
#define XPAR_MICROBLAZE_MMU_PRIVILEGED_INSTR 0
#define XPAR_MICROBLAZE_MMU_TLB_ACCESS 3
#define XPAR_MICROBLAZE_MMU_ZONES 16
#define XPAR_MICROBLAZE_M_AXI_DC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_DC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_DC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DC_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_M_AXI_DC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_M_AXI_DC_USER_VALUE 31
#define XPAR_MICROBLAZE_M_AXI_DC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DP_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_M_AXI_DP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_D_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_M_AXI_IC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_IC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_IC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_M_AXI_IC_USER_VALUE 31
#define XPAR_MICROBLAZE_M_AXI_IC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_I_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_NUMBER_OF_PC_BRK 1
#define XPAR_MICROBLAZE_NUMBER_OF_RD_ADDR_BRK 0
#define XPAR_MICROBLAZE_NUMBER_OF_WR_ADDR_BRK 0
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK 2
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK_DEBUG 2
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK_IRQ 1
#define XPAR_MICROBLAZE_NUM_SYNC_FF_DBG_CLK 1
#define XPAR_MICROBLAZE_NUM_SYNC_FF_DBG_TRACE_CLK 2
#define XPAR_MICROBLAZE_OPCODE_0X0_ILLEGAL 0
#define XPAR_MICROBLAZE_OPTIMIZATION 0
#define XPAR_MICROBLAZE_PC_WIDTH 32
#define XPAR_MICROBLAZE_PIADDR_SIZE 32
#define XPAR_MICROBLAZE_PVR 0
#define XPAR_MICROBLAZE_PVR_USER1 0x00
#define XPAR_MICROBLAZE_PVR_USER2 0x00000000
#define XPAR_MICROBLAZE_RESET_MSR 0x00000000
#define XPAR_MICROBLAZE_RESET_MSR_BIP 0
#define XPAR_MICROBLAZE_RESET_MSR_DCE 0
#define XPAR_MICROBLAZE_RESET_MSR_EE 0
#define XPAR_MICROBLAZE_RESET_MSR_EIP 0
#define XPAR_MICROBLAZE_RESET_MSR_ICE 0
#define XPAR_MICROBLAZE_RESET_MSR_IE 0
#define XPAR_MICROBLAZE_S0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_SCO 0
#define XPAR_MICROBLAZE_TRACE 0
#define XPAR_MICROBLAZE_UNALIGNED_EXCEPTIONS 0
#define XPAR_MICROBLAZE_USE_BARREL 0
#define XPAR_MICROBLAZE_USE_BRANCH_TARGET_CACHE 0
#define XPAR_MICROBLAZE_USE_CONFIG_RESET 0
#define XPAR_MICROBLAZE_USE_DCACHE 0
#define XPAR_MICROBLAZE_USE_DIV 0
#define XPAR_MICROBLAZE_USE_EXTENDED_FSL_INSTR 0
#define XPAR_MICROBLAZE_USE_EXT_BRK 0
#define XPAR_MICROBLAZE_USE_EXT_NM_BRK 0
#define XPAR_MICROBLAZE_USE_FPU 0
#define XPAR_MICROBLAZE_USE_HW_MUL 0
#define XPAR_MICROBLAZE_USE_ICACHE 0
#define XPAR_MICROBLAZE_USE_INTERRUPT 2
#define XPAR_MICROBLAZE_USE_MMU 0
#define XPAR_MICROBLAZE_USE_MSR_INSTR 0
#define XPAR_MICROBLAZE_USE_NON_SECURE 0
#define XPAR_MICROBLAZE_USE_PCMP_INSTR 0
#define XPAR_MICROBLAZE_USE_REORDER_INSTR 1
#define XPAR_MICROBLAZE_USE_STACK_PROTECTION 0
#define XPAR_MICROBLAZE_COMPONENT_NAME bd_e570_microblaze_ert_0
#define XPAR_MICROBLAZE_EDK_IPTYPE PROCESSOR
#define XPAR_MICROBLAZE_EDK_SPECIAL microblaze
#define XPAR_MICROBLAZE_G_TEMPLATE_LIST 0
#define XPAR_MICROBLAZE_G_USE_EXCEPTIONS 0

/******************************************************************/


/* Definitions for interface M_AXI_CTRL_USER_ERT_0 */
#define XPAR_M_AXI_CTRL_USER_ERT_0_BASEADDR 0x00000000
#define XPAR_M_AXI_CTRL_USER_ERT_0_HIGHADDR 0x01DFFFFF

/* Definitions for interface M_AXI_MDM_0 */
#define XPAR_M_AXI_MDM_0_BASEADDR 0x01F40000
#define XPAR_M_AXI_MDM_0_HIGHADDR 0x01F40FFF


/******************************************************************/

/* Platform specific definitions */
#define PLATFORM_MB
 
/* Definitions for sleep timer configuration */
#define XSLEEP_TIMER_IS_DEFAULT_TIMER
 
 
/******************************************************************/
/* Definitions for driver BRAM */
#define XPAR_XBRAM_NUM_INSTANCES 1U

/* Definitions for peripheral SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR */
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_DEVICE_ID 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_DATA_WIDTH 32U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_ECC 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_FAULT_INJECT 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_CE_FAILING_REGISTERS 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_UE_FAILING_REGISTERS 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_ECC_STATUS_REGISTERS 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_CE_COUNTER_WIDTH 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_ECC_ONOFF_REGISTER 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_WRITE_ACCESS 2U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_BASEADDR 0xF0000000U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_HIGHADDR 0xF0007FFFU
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_S_AXI_CTRL_BASEADDR 0xFFFFFFFFU  
#define XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_S_AXI_CTRL_HIGHADDR 0xFFFFFFFFU  


/******************************************************************/

/* Canonical definitions for peripheral SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR */
#define XPAR_BRAM_0_DEVICE_ID XPAR_SHELL_ERT_SUBSYSTEM_0_MICROBLAZE_ERT_LM_LMB_BRAM_IF_CNTLR_DEVICE_ID
#define XPAR_BRAM_0_DATA_WIDTH 32U
#define XPAR_BRAM_0_ECC 0U
#define XPAR_BRAM_0_FAULT_INJECT 0U
#define XPAR_BRAM_0_CE_FAILING_REGISTERS 0U
#define XPAR_BRAM_0_UE_FAILING_REGISTERS 0U
#define XPAR_BRAM_0_ECC_STATUS_REGISTERS 0U
#define XPAR_BRAM_0_CE_COUNTER_WIDTH 0U
#define XPAR_BRAM_0_ECC_ONOFF_REGISTER 0U
#define XPAR_BRAM_0_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_BRAM_0_WRITE_ACCESS 2U
#define XPAR_BRAM_0_BASEADDR 0xF0000000U
#define XPAR_BRAM_0_HIGHADDR 0xF0007FFFU
#define XPAR_BRAM_0_CTRL_BASEADDR 0xFFFFFFFFU  
#define XPAR_BRAM_0_CTRL_HIGHADDR 0xFFFFFFFEU  


/******************************************************************/


/* Definitions for peripheral SHELL_ERT_SUBSYSTEM_0_BUILD_INFO_ERT */
#define XPAR_SHELL_ERT_SUBSYSTEM_0_BUILD_INFO_ERT_BASEADDR 0x01F00000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_BUILD_INFO_ERT_HIGHADDR 0x01F0FFFF


/******************************************************************/

/* Definitions for driver GPIO */
#define XPAR_XGPIO_NUM_INSTANCES 2

/* Definitions for peripheral SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_MB_BASE_ADDR */
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_MB_BASE_ADDR_BASEADDR 0x01F30000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_MB_BASE_ADDR_HIGHADDR 0x01F3FFFF
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_MB_BASE_ADDR_DEVICE_ID 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_MB_BASE_ADDR_INTERRUPT_PRESENT 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_MB_BASE_ADDR_IS_DUAL 1


/* Definitions for peripheral SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_WDT */
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_WDT_BASEADDR 0x01F50000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_WDT_HIGHADDR 0x01F5FFFF
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_WDT_DEVICE_ID 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_WDT_INTERRUPT_PRESENT 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_WDT_IS_DUAL 0


/******************************************************************/

/* Canonical definitions for peripheral SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_MB_BASE_ADDR */
#define XPAR_GPIO_0_BASEADDR 0x01F30000
#define XPAR_GPIO_0_HIGHADDR 0x01F3FFFF
#define XPAR_GPIO_0_DEVICE_ID XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_MB_BASE_ADDR_DEVICE_ID
#define XPAR_GPIO_0_INTERRUPT_PRESENT 0
#define XPAR_GPIO_0_IS_DUAL 1

/* Canonical definitions for peripheral SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_WDT */
#define XPAR_GPIO_1_BASEADDR 0x01F50000
#define XPAR_GPIO_1_HIGHADDR 0x01F5FFFF
#define XPAR_GPIO_1_DEVICE_ID XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_GPIO_WDT_DEVICE_ID
#define XPAR_GPIO_1_INTERRUPT_PRESENT 0
#define XPAR_GPIO_1_IS_DUAL 0


/******************************************************************/

#define XPAR_INTC_MAX_NUM_INTR_INPUTS 5
#define XPAR_XINTC_HAS_IPR 1
#define XPAR_XINTC_HAS_SIE 1
#define XPAR_XINTC_HAS_CIE 1
#define XPAR_XINTC_HAS_IVR 1
/* Definitions for driver INTC */
#define XPAR_XINTC_NUM_INSTANCES 1

/* Definitions for peripheral SHELL_ERT_SUBSYSTEM_0_AXI_INTC */
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_DEVICE_ID 0
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_BASEADDR 0x01F20000
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_HIGHADDR 0x01F2FFFF
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_KIND_OF_INTR 0xFFFFFFE4
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_HAS_FAST 1
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_IVAR_RESET_VALUE 0x00000000F0000010
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_NUM_INTR_INPUTS 5
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_ADDR_WIDTH 32


/******************************************************************/

#define XPAR_INTC_SINGLE_BASEADDR 0x01F20000
#define XPAR_INTC_SINGLE_HIGHADDR 0x01F2FFFF
#define XPAR_INTC_SINGLE_DEVICE_ID XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_DEVICE_ID
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_TYPE 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_EMBD_SCHEDULER_HW_IRQ_SLOTAVAILABLE_MASK 0X000001U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_SHELL_ERT_SUBSYSTEM_0_EMBD_SCHEDULER_HW_IRQ_SLOTAVAILABLE_INTR 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_EMBD_SCHEDULER_HW_IRQ_CU_COMPLETION_MASK 0X000002U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_SHELL_ERT_SUBSYSTEM_0_EMBD_SCHEDULER_HW_IRQ_CU_COMPLETION_INTR 1U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_KDMA_INTERRUPT_MASK 0X000004U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_SHELL_ERT_SUBSYSTEM_0_KDMA_INTERRUPT_INTR 2U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_WDT_INTERRUPT_MASK 0X000008U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_WDT_INTERRUPT_INTR 3U
#define XPAR_SYSTEM_INTERRUPT_MDM_0_MASK 0X000010U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_SYSTEM_INTERRUPT_MDM_0_INTR 4U

/******************************************************************/

/* Canonical definitions for peripheral SHELL_ERT_SUBSYSTEM_0_AXI_INTC */
#define XPAR_INTC_0_DEVICE_ID XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_DEVICE_ID
#define XPAR_INTC_0_BASEADDR 0x01F20000U
#define XPAR_INTC_0_HIGHADDR 0x01F2FFFFU
#define XPAR_INTC_0_KIND_OF_INTR 0xFFFFFFE4U
#define XPAR_INTC_0_HAS_FAST 1U
#define XPAR_INTC_0_IVAR_RESET_VALUE 0x00000000F0000010U
#define XPAR_INTC_0_NUM_INTR_INPUTS 5U
#define XPAR_INTC_0_ADDR_WIDTH 32U
#define XPAR_INTC_0_INTC_TYPE 0U

#define XPAR_INTC_0_WDTTB_0_VEC_ID XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_INTC_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_WDT_INTERRUPT_INTR

/******************************************************************/

/* Definitions for driver WDTTB */
#define XPAR_XWDTTB_NUM_INSTANCES 1U

/* Definitions for peripheral SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT */
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_DEVICE_ID 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_BASEADDR 0x01F10000U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_HIGHADDR 0x01F1FFFFU
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_ENABLE_WINDOW_WDT 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_MAX_COUNT_WIDTH 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_SST_COUNT_WIDTH 0U
#define XPAR_SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT_IS_PL 1U

/* Canonical definitions for peripheral SHELL_ERT_SUBSYSTEM_0_AXI_TIMEBASE_WDT */
#define XPAR_WDTTB_0_DEVICE_ID 0U
#define XPAR_WDTTB_0_BASEADDR 0x01F10000U
#define XPAR_WDTTB_0_HIGHADDR 0x01F1FFFFU
#define XPAR_WDTTB_0_ENABLE_WINDOW_WDT 0U
#define XPAR_WDTTB_0_MAX_COUNT_WIDTH 0U
#define XPAR_WDTTB_0_SST_COUNT_WIDTH 0U
#define XPAR_WDTTB_0_IS_PL 1U


/******************************************************************/
#endif  /* end of protection macro */
