#ifndef XPARAMETERS_H   /* prevent circular inclusions */
#define XPARAMETERS_H   /* by using protection macros */

/* Definitions for bus frequencies */
#define XPAR_CPU_M_AXI_DP_FREQ_HZ 125000000
/******************************************************************/

/* Canonical definitions for bus frequencies */
/******************************************************************/

#define XPAR_CPU_CORE_CLOCK_FREQ_HZ 125000000
#define XPAR_MICROBLAZE_CORE_CLOCK_FREQ_HZ 125000000

/******************************************************************/


/* Definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER */
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ADDR_SIZE 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ADDR_TAG_BITS 17
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ALLOW_DCACHE_WR 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ALLOW_ICACHE_WR 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_AREA_OPTIMIZED 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ASYNC_INTERRUPT 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ASYNC_WAKEUP 3
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_AVOID_PRIMITIVES 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_BASE_VECTORS 0x00000000F0000000
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_BRANCH_TARGET_CACHE_SIZE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_CACHE_BYTE_SIZE 8192
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DADDR_SIZE 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DATA_SIZE 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_ADDR_TAG 17
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_ALWAYS_USED 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_BASEADDR 0x00000000
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_BYTE_SIZE 8192
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_DATA_WIDTH 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_FORCE_TAG_LUTRAM 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_LINE_LEN 4
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_USE_WRITEBACK 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DCACHE_VICTIMS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DC_AXI_MON 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DEBUG_COUNTER_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DEBUG_ENABLED 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DEBUG_EVENT_COUNTERS 5
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DEBUG_EXTERNAL_TRACE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DEBUG_INTERFACE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DEBUG_LATENCY_COUNTERS 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DEBUG_PROFILE_SIZE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DEBUG_TRACE_ASYNC_RESET 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DEBUG_TRACE_SIZE 8192
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DIV_ZERO_EXCEPTION 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DP_AXI_MON 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_DYNAMIC_BUS_SIZING 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_D_AXI 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_D_LMB 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_D_LMB_MON 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ECC_USE_CE_EXCEPTION 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_EDGE_IS_POSITIVE 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ENABLE_DISCRETE_PORTS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ENDIANNESS 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_FAULT_TOLERANT 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_FPU_EXCEPTION 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_FREQ 125000000
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_FSL_EXCEPTION 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_FSL_LINKS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_IADDR_SIZE 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ICACHE_ALWAYS_USED 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ICACHE_BASEADDR 0x00000000
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ICACHE_DATA_WIDTH 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ICACHE_FORCE_TAG_LUTRAM 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ICACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ICACHE_LINE_LEN 4
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ICACHE_STREAMS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ICACHE_VICTIMS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_IC_AXI_MON 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_ILL_OPCODE_EXCEPTION 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_IMPRECISE_EXCEPTIONS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_INSTR_SIZE 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_INTERCONNECT 2
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_INTERRUPT_IS_EDGE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_INTERRUPT_MON 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_IP_AXI_MON 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_I_AXI 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_I_LMB 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_I_LMB_MON 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LOCKSTEP_MASTER 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LOCKSTEP_SELECT 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LOCKSTEP_SLAVE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M0_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M0_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M1_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M1_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M2_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M2_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M3_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M3_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M4_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M4_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M5_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M5_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M6_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M6_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M7_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M7_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M8_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M8_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M9_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M9_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M10_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M10_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M11_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M11_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M12_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M12_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M13_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M13_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M14_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M14_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M15_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M15_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_MMU_DTLB_SIZE 4
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_MMU_ITLB_SIZE 2
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_MMU_PRIVILEGED_INSTR 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_MMU_TLB_ACCESS 3
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_MMU_ZONES 16
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_ADDR_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_ARUSER_WIDTH 5
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_AWUSER_WIDTH 5
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_BUSER_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_EXCLUSIVE_ACCESS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_RUSER_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_THREAD_ID_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_USER_SIGNALS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_USER_VALUE 31
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DC_WUSER_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DP_ADDR_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DP_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DP_EXCLUSIVE_ACCESS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_DP_THREAD_ID_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_D_BUS_EXCEPTION 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_ADDR_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_ARUSER_WIDTH 5
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_AWUSER_WIDTH 5
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_BUSER_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_RUSER_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_THREAD_ID_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_USER_SIGNALS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_USER_VALUE 31
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IC_WUSER_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IP_ADDR_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IP_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_IP_THREAD_ID_WIDTH 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_M_AXI_I_BUS_EXCEPTION 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_NUMBER_OF_PC_BRK 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_NUMBER_OF_RD_ADDR_BRK 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_NUMBER_OF_WR_ADDR_BRK 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_NUM_SYNC_FF_CLK 2
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_NUM_SYNC_FF_CLK_DEBUG 2
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_NUM_SYNC_FF_CLK_IRQ 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_NUM_SYNC_FF_DBG_CLK 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_NUM_SYNC_FF_DBG_TRACE_CLK 2
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_OPCODE_0X0_ILLEGAL 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_OPTIMIZATION 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_PC_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_PIADDR_SIZE 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_PVR 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_PVR_USER1 0x00
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_PVR_USER2 0x00000000
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_RESET_MSR 0x00000000
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_RESET_MSR_BIP 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_RESET_MSR_DCE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_RESET_MSR_EE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_RESET_MSR_EIP 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_RESET_MSR_ICE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_RESET_MSR_IE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S0_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S0_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S1_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S1_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S2_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S2_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S3_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S3_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S4_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S4_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S5_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S5_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S6_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S6_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S7_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S7_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S8_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S8_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S9_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S9_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S10_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S10_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S11_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S11_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S12_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S12_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S13_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S13_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S14_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S14_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S15_AXIS_DATA_WIDTH 32
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_S15_AXIS_PROTOCOL GENERIC
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_SCO 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_TRACE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_UNALIGNED_EXCEPTIONS 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_BARREL 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_BRANCH_TARGET_CACHE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_CONFIG_RESET 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_DCACHE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_DIV 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_EXTENDED_FSL_INSTR 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_EXT_BRK 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_EXT_NM_BRK 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_FPU 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_HW_MUL 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_ICACHE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_INTERRUPT 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_MMU 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_MSR_INSTR 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_NON_SECURE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_PCMP_INSTR 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_REORDER_INSTR 1
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_USE_STACK_PROTECTION 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_COMPONENT_NAME pfm_top_microblaze_scheduler_0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_EDK_IPTYPE PROCESSOR
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_EDK_SPECIAL microblaze
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_G_TEMPLATE_LIST 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_G_USE_EXCEPTIONS 0

/******************************************************************/

#define XPAR_CPU_ID 1
#define XPAR_MICROBLAZE_ID 1
#define XPAR_MICROBLAZE_ADDR_SIZE 32
#define XPAR_MICROBLAZE_ADDR_TAG_BITS 17
#define XPAR_MICROBLAZE_ALLOW_DCACHE_WR 1
#define XPAR_MICROBLAZE_ALLOW_ICACHE_WR 1
#define XPAR_MICROBLAZE_AREA_OPTIMIZED 0
#define XPAR_MICROBLAZE_ASYNC_INTERRUPT 1
#define XPAR_MICROBLAZE_ASYNC_WAKEUP 3
#define XPAR_MICROBLAZE_AVOID_PRIMITIVES 0
#define XPAR_MICROBLAZE_BASE_VECTORS 0x00000000F0000000
#define XPAR_MICROBLAZE_BRANCH_TARGET_CACHE_SIZE 0
#define XPAR_MICROBLAZE_CACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_DADDR_SIZE 32
#define XPAR_MICROBLAZE_DATA_SIZE 32
#define XPAR_MICROBLAZE_DCACHE_ADDR_TAG 17
#define XPAR_MICROBLAZE_DCACHE_ALWAYS_USED 0
#define XPAR_MICROBLAZE_DCACHE_BASEADDR 0x00000000
#define XPAR_MICROBLAZE_DCACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_DCACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_DCACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_DCACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_MICROBLAZE_DCACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_DCACHE_USE_WRITEBACK 0
#define XPAR_MICROBLAZE_DCACHE_VICTIMS 0
#define XPAR_MICROBLAZE_DC_AXI_MON 0
#define XPAR_MICROBLAZE_DEBUG_COUNTER_WIDTH 32
#define XPAR_MICROBLAZE_DEBUG_ENABLED 1
#define XPAR_MICROBLAZE_DEBUG_EVENT_COUNTERS 5
#define XPAR_MICROBLAZE_DEBUG_EXTERNAL_TRACE 0
#define XPAR_MICROBLAZE_DEBUG_INTERFACE 0
#define XPAR_MICROBLAZE_DEBUG_LATENCY_COUNTERS 1
#define XPAR_MICROBLAZE_DEBUG_PROFILE_SIZE 0
#define XPAR_MICROBLAZE_DEBUG_TRACE_ASYNC_RESET 0
#define XPAR_MICROBLAZE_DEBUG_TRACE_SIZE 8192
#define XPAR_MICROBLAZE_DIV_ZERO_EXCEPTION 0
#define XPAR_MICROBLAZE_DP_AXI_MON 0
#define XPAR_MICROBLAZE_DYNAMIC_BUS_SIZING 0
#define XPAR_MICROBLAZE_D_AXI 1
#define XPAR_MICROBLAZE_D_LMB 1
#define XPAR_MICROBLAZE_D_LMB_MON 0
#define XPAR_MICROBLAZE_ECC_USE_CE_EXCEPTION 0
#define XPAR_MICROBLAZE_EDGE_IS_POSITIVE 1
#define XPAR_MICROBLAZE_ENABLE_DISCRETE_PORTS 0
#define XPAR_MICROBLAZE_ENDIANNESS 1
#define XPAR_MICROBLAZE_FAULT_TOLERANT 0
#define XPAR_MICROBLAZE_FPU_EXCEPTION 0
#define XPAR_MICROBLAZE_FREQ 125000000
#define XPAR_MICROBLAZE_FSL_EXCEPTION 0
#define XPAR_MICROBLAZE_FSL_LINKS 0
#define XPAR_MICROBLAZE_IADDR_SIZE 32
#define XPAR_MICROBLAZE_ICACHE_ALWAYS_USED 0
#define XPAR_MICROBLAZE_ICACHE_BASEADDR 0x00000000
#define XPAR_MICROBLAZE_ICACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_ICACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_ICACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_MICROBLAZE_ICACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_ICACHE_STREAMS 0
#define XPAR_MICROBLAZE_ICACHE_VICTIMS 0
#define XPAR_MICROBLAZE_IC_AXI_MON 0
#define XPAR_MICROBLAZE_ILL_OPCODE_EXCEPTION 0
#define XPAR_MICROBLAZE_IMPRECISE_EXCEPTIONS 0
#define XPAR_MICROBLAZE_INSTR_SIZE 32
#define XPAR_MICROBLAZE_INTERCONNECT 2
#define XPAR_MICROBLAZE_INTERRUPT_IS_EDGE 0
#define XPAR_MICROBLAZE_INTERRUPT_MON 0
#define XPAR_MICROBLAZE_IP_AXI_MON 0
#define XPAR_MICROBLAZE_I_AXI 0
#define XPAR_MICROBLAZE_I_LMB 1
#define XPAR_MICROBLAZE_I_LMB_MON 0
#define XPAR_MICROBLAZE_LOCKSTEP_MASTER 0
#define XPAR_MICROBLAZE_LOCKSTEP_SELECT 0
#define XPAR_MICROBLAZE_LOCKSTEP_SLAVE 0
#define XPAR_MICROBLAZE_M0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_MMU_DTLB_SIZE 4
#define XPAR_MICROBLAZE_MMU_ITLB_SIZE 2
#define XPAR_MICROBLAZE_MMU_PRIVILEGED_INSTR 0
#define XPAR_MICROBLAZE_MMU_TLB_ACCESS 3
#define XPAR_MICROBLAZE_MMU_ZONES 16
#define XPAR_MICROBLAZE_M_AXI_DC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_DC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_DC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DC_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_M_AXI_DC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_M_AXI_DC_USER_VALUE 31
#define XPAR_MICROBLAZE_M_AXI_DC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DP_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_M_AXI_DP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_D_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_M_AXI_IC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_IC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_IC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_M_AXI_IC_USER_VALUE 31
#define XPAR_MICROBLAZE_M_AXI_IC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_I_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_NUMBER_OF_PC_BRK 1
#define XPAR_MICROBLAZE_NUMBER_OF_RD_ADDR_BRK 0
#define XPAR_MICROBLAZE_NUMBER_OF_WR_ADDR_BRK 0
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK 2
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK_DEBUG 2
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK_IRQ 1
#define XPAR_MICROBLAZE_NUM_SYNC_FF_DBG_CLK 1
#define XPAR_MICROBLAZE_NUM_SYNC_FF_DBG_TRACE_CLK 2
#define XPAR_MICROBLAZE_OPCODE_0X0_ILLEGAL 0
#define XPAR_MICROBLAZE_OPTIMIZATION 0
#define XPAR_MICROBLAZE_PC_WIDTH 32
#define XPAR_MICROBLAZE_PIADDR_SIZE 32
#define XPAR_MICROBLAZE_PVR 0
#define XPAR_MICROBLAZE_PVR_USER1 0x00
#define XPAR_MICROBLAZE_PVR_USER2 0x00000000
#define XPAR_MICROBLAZE_RESET_MSR 0x00000000
#define XPAR_MICROBLAZE_RESET_MSR_BIP 0
#define XPAR_MICROBLAZE_RESET_MSR_DCE 0
#define XPAR_MICROBLAZE_RESET_MSR_EE 0
#define XPAR_MICROBLAZE_RESET_MSR_EIP 0
#define XPAR_MICROBLAZE_RESET_MSR_ICE 0
#define XPAR_MICROBLAZE_RESET_MSR_IE 0
#define XPAR_MICROBLAZE_S0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_SCO 0
#define XPAR_MICROBLAZE_TRACE 0
#define XPAR_MICROBLAZE_UNALIGNED_EXCEPTIONS 0
#define XPAR_MICROBLAZE_USE_BARREL 0
#define XPAR_MICROBLAZE_USE_BRANCH_TARGET_CACHE 0
#define XPAR_MICROBLAZE_USE_CONFIG_RESET 0
#define XPAR_MICROBLAZE_USE_DCACHE 0
#define XPAR_MICROBLAZE_USE_DIV 0
#define XPAR_MICROBLAZE_USE_EXTENDED_FSL_INSTR 0
#define XPAR_MICROBLAZE_USE_EXT_BRK 0
#define XPAR_MICROBLAZE_USE_EXT_NM_BRK 0
#define XPAR_MICROBLAZE_USE_FPU 0
#define XPAR_MICROBLAZE_USE_HW_MUL 0
#define XPAR_MICROBLAZE_USE_ICACHE 0
#define XPAR_MICROBLAZE_USE_INTERRUPT 1
#define XPAR_MICROBLAZE_USE_MMU 0
#define XPAR_MICROBLAZE_USE_MSR_INSTR 0
#define XPAR_MICROBLAZE_USE_NON_SECURE 0
#define XPAR_MICROBLAZE_USE_PCMP_INSTR 0
#define XPAR_MICROBLAZE_USE_REORDER_INSTR 1
#define XPAR_MICROBLAZE_USE_STACK_PROTECTION 0
#define XPAR_MICROBLAZE_COMPONENT_NAME pfm_top_microblaze_scheduler_0
#define XPAR_MICROBLAZE_EDK_IPTYPE PROCESSOR
#define XPAR_MICROBLAZE_EDK_SPECIAL microblaze
#define XPAR_MICROBLAZE_G_TEMPLATE_LIST 0
#define XPAR_MICROBLAZE_G_USE_EXCEPTIONS 0

/******************************************************************/

#define STDIN_BASEADDRESS 0x00270000
#define STDOUT_BASEADDRESS 0x00270000

/******************************************************************/

/* Definitions for driver BRAM */
#define XPAR_XBRAM_NUM_INSTANCES 2U

/* Definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR */
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_DEVICE_ID 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_DATA_WIDTH 32U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_ECC 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_FAULT_INJECT 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_CE_FAILING_REGISTERS 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_UE_FAILING_REGISTERS 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_ECC_STATUS_REGISTERS 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_CE_COUNTER_WIDTH 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_ECC_ONOFF_REGISTER 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_ECC_ONOFF_RESET_VALUE 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_WRITE_ACCESS 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_S_AXI_BASEADDR 0x00340000U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_S_AXI_HIGHADDR 0x0034FFFFU
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_S_AXI_CTRL_BASEADDR 0xFFFFFFFFU 
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_S_AXI_CTRL_HIGHADDR 0xFFFFFFFFU 


/* Definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR */
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_DEVICE_ID 1U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_DATA_WIDTH 32U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_ECC 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_FAULT_INJECT 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_CE_FAILING_REGISTERS 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_UE_FAILING_REGISTERS 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_ECC_STATUS_REGISTERS 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_CE_COUNTER_WIDTH 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_ECC_ONOFF_REGISTER 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_WRITE_ACCESS 2U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_BASEADDR 0x00300000U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_HIGHADDR 0x0030FFFFU
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_S_AXI_CTRL_BASEADDR 0xFFFFFFFFU 
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_S_AXI_CTRL_HIGHADDR 0xFFFFFFFFU 


/******************************************************************/

/* Canonical definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR */
#define XPAR_BRAM_0_DEVICE_ID XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_CQ_BRAM_CTLR_DEVICE_ID
#define XPAR_BRAM_0_DATA_WIDTH 32U
#define XPAR_BRAM_0_ECC 0U
#define XPAR_BRAM_0_FAULT_INJECT 0U
#define XPAR_BRAM_0_CE_FAILING_REGISTERS 0U
#define XPAR_BRAM_0_UE_FAILING_REGISTERS 0U
#define XPAR_BRAM_0_ECC_STATUS_REGISTERS 0U
#define XPAR_BRAM_0_CE_COUNTER_WIDTH 0U
#define XPAR_BRAM_0_ECC_ONOFF_REGISTER 0U
#define XPAR_BRAM_0_ECC_ONOFF_RESET_VALUE 0U
#define XPAR_BRAM_0_WRITE_ACCESS 0U
#define XPAR_BRAM_0_BASEADDR 0x00340000U
#define XPAR_BRAM_0_HIGHADDR 0x0034FFFFU

/* Canonical definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR */
#define XPAR_BRAM_1_DEVICE_ID XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_MICROBLAZE_SCHEDULER_LM_LMB_BRAM_IF_CNTLR_DEVICE_ID
#define XPAR_BRAM_1_DATA_WIDTH 32U
#define XPAR_BRAM_1_ECC 0U
#define XPAR_BRAM_1_FAULT_INJECT 0U
#define XPAR_BRAM_1_CE_FAILING_REGISTERS 0U
#define XPAR_BRAM_1_UE_FAILING_REGISTERS 0U
#define XPAR_BRAM_1_ECC_STATUS_REGISTERS 0U
#define XPAR_BRAM_1_CE_COUNTER_WIDTH 0U
#define XPAR_BRAM_1_ECC_ONOFF_REGISTER 0U
#define XPAR_BRAM_1_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_BRAM_1_WRITE_ACCESS 2U
#define XPAR_BRAM_1_BASEADDR 0x00300000U
#define XPAR_BRAM_1_HIGHADDR 0x0030FFFFU


/******************************************************************/


/* Definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHEDULER_HW_0 */
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHEDULER_HW_0_BASEADDR 0x00360000
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHEDULER_HW_0_HIGHADDR 0x00360FFF


/******************************************************************/

#define XPAR_INTC_MAX_NUM_INTR_INPUTS 2
#define XPAR_XINTC_HAS_IPR 1
#define XPAR_XINTC_HAS_SIE 1
#define XPAR_XINTC_HAS_CIE 1
#define XPAR_XINTC_HAS_IVR 1
/* Definitions for driver INTC */
#define XPAR_XINTC_NUM_INSTANCES 1

/* Definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0 */
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_DEVICE_ID 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_BASEADDR 0x00310000
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_HIGHADDR 0x0031FFFF
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_KIND_OF_INTR 0xFFFFFFFF
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_HAS_FAST 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_IVAR_RESET_VALUE 0x00000010
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_NUM_INTR_INPUTS 2


/******************************************************************/

#define XPAR_INTC_SINGLE_BASEADDR 0x00310000
#define XPAR_INTC_SINGLE_HIGHADDR 0x0031FFFF
#define XPAR_INTC_SINGLE_DEVICE_ID XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_DEVICE_ID
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_TYPE 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHEDULER_HW_0_IRQ_SLOTAVAILABLE_MASK 0X000001U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHEDULER_HW_0_IRQ_SLOTAVAILABLE_INTR 0U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHEDULER_HW_0_IRQ_CU_COMPLETION_MASK 0X000002U
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHEDULER_HW_0_IRQ_CU_COMPLETION_INTR 1U

/******************************************************************/

/* Canonical definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0 */
#define XPAR_INTC_0_DEVICE_ID XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_EMBEDDED_SCHDULER_AXI_INTC_0_DEVICE_ID
#define XPAR_INTC_0_BASEADDR 0x00310000U
#define XPAR_INTC_0_HIGHADDR 0x0031FFFFU
#define XPAR_INTC_0_KIND_OF_INTR 0xFFFFFFFFU
#define XPAR_INTC_0_HAS_FAST 0U
#define XPAR_INTC_0_IVAR_RESET_VALUE 0x00000010U
#define XPAR_INTC_0_NUM_INTR_INPUTS 2U
#define XPAR_INTC_0_INTC_TYPE 0U


/******************************************************************/

/* Definitions for driver UARTLITE */
#define XPAR_XUARTLITE_NUM_INSTANCES 1

/* Definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL */
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL_BASEADDR 0x00270000
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL_HIGHADDR 0x00270FFF
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL_DEVICE_ID 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL_BAUDRATE 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL_USE_PARITY 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL_ODD_PARITY 0
#define XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL_DATA_BITS 0


/******************************************************************/

/* Canonical definitions for peripheral STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL */
#define XPAR_UARTLITE_0_DEVICE_ID XPAR_STATIC_REGION_BRD_MGMT_SCHEDULER_MDM_BOARD_CONTROL_DEVICE_ID
#define XPAR_UARTLITE_0_BASEADDR 0x00270000
#define XPAR_UARTLITE_0_HIGHADDR 0x00270FFF
#define XPAR_UARTLITE_0_BAUDRATE 0
#define XPAR_UARTLITE_0_USE_PARITY 0
#define XPAR_UARTLITE_0_ODD_PARITY 0
#define XPAR_UARTLITE_0_DATA_BITS 0


/******************************************************************/

#endif  /* end of protection macro */
