#ifndef XPARAMETERS_H   /* prevent circular inclusions */
#define XPARAMETERS_H   /* by using protection macros */

/* Definitions for bus frequencies */
#define XPAR_CPU_M_AXI_DP_FREQ_HZ 250000000
/******************************************************************/

/* Canonical definitions for bus frequencies */
/******************************************************************/

#define XPAR_CPU_CORE_CLOCK_FREQ_HZ 250000000
#define XPAR_MICROBLAZE_CORE_CLOCK_FREQ_HZ 250000000

/******************************************************************/


/* Definitions for peripheral ERT_MICROBLAZE */
#define XPAR_ERT_MICROBLAZE_ADDR_SIZE 32
#define XPAR_ERT_MICROBLAZE_ADDR_TAG_BITS 0
#define XPAR_ERT_MICROBLAZE_ALLOW_DCACHE_WR 1
#define XPAR_ERT_MICROBLAZE_ALLOW_ICACHE_WR 1
#define XPAR_ERT_MICROBLAZE_AREA_OPTIMIZED 0
#define XPAR_ERT_MICROBLAZE_ASYNC_INTERRUPT 1
#define XPAR_ERT_MICROBLAZE_ASYNC_WAKEUP 3
#define XPAR_ERT_MICROBLAZE_AVOID_PRIMITIVES 0
#define XPAR_ERT_MICROBLAZE_BASE_VECTORS 0x00000000f0000000
#define XPAR_ERT_MICROBLAZE_BRANCH_TARGET_CACHE_SIZE 0
#define XPAR_ERT_MICROBLAZE_CACHE_BYTE_SIZE 8192
#define XPAR_ERT_MICROBLAZE_DADDR_SIZE 32
#define XPAR_ERT_MICROBLAZE_DATA_SIZE 32
#define XPAR_ERT_MICROBLAZE_DCACHE_ADDR_TAG 3
#define XPAR_ERT_MICROBLAZE_DCACHE_ALWAYS_USED 1
#define XPAR_ERT_MICROBLAZE_DCACHE_BASEADDR 0x01F60000
#define XPAR_ERT_MICROBLAZE_DCACHE_BYTE_SIZE 8192
#define XPAR_ERT_MICROBLAZE_DCACHE_DATA_WIDTH 0
#define XPAR_ERT_MICROBLAZE_DCACHE_FORCE_TAG_LUTRAM 0
#define XPAR_ERT_MICROBLAZE_DCACHE_HIGHADDR 0x01F6FFFF
#define XPAR_ERT_MICROBLAZE_DCACHE_LINE_LEN 4
#define XPAR_ERT_MICROBLAZE_DCACHE_USE_WRITEBACK 0
#define XPAR_ERT_MICROBLAZE_DCACHE_VICTIMS 0
#define XPAR_ERT_MICROBLAZE_DC_AXI_MON 0
#define XPAR_ERT_MICROBLAZE_DEBUG_COUNTER_WIDTH 32
#define XPAR_ERT_MICROBLAZE_DEBUG_ENABLED 1
#define XPAR_ERT_MICROBLAZE_DEBUG_EVENT_COUNTERS 5
#define XPAR_ERT_MICROBLAZE_DEBUG_EXTERNAL_TRACE 0
#define XPAR_ERT_MICROBLAZE_DEBUG_INTERFACE 0
#define XPAR_ERT_MICROBLAZE_DEBUG_LATENCY_COUNTERS 1
#define XPAR_ERT_MICROBLAZE_DEBUG_PROFILE_SIZE 0
#define XPAR_ERT_MICROBLAZE_DEBUG_TRACE_ASYNC_RESET 0
#define XPAR_ERT_MICROBLAZE_DEBUG_TRACE_SIZE 8192
#define XPAR_ERT_MICROBLAZE_DIV_ZERO_EXCEPTION 0
#define XPAR_ERT_MICROBLAZE_DP_AXI_MON 0
#define XPAR_ERT_MICROBLAZE_DYNAMIC_BUS_SIZING 0
#define XPAR_ERT_MICROBLAZE_D_AXI 1
#define XPAR_ERT_MICROBLAZE_D_LMB 1
#define XPAR_ERT_MICROBLAZE_D_LMB_MON 0
#define XPAR_ERT_MICROBLAZE_D_LMB_PROTOCOL 0
#define XPAR_ERT_MICROBLAZE_ECC_USE_CE_EXCEPTION 0
#define XPAR_ERT_MICROBLAZE_EDGE_IS_POSITIVE 1
#define XPAR_ERT_MICROBLAZE_ENABLE_DISCRETE_PORTS 1
#define XPAR_ERT_MICROBLAZE_ENDIANNESS 1
#define XPAR_ERT_MICROBLAZE_FAULT_TOLERANT 0
#define XPAR_ERT_MICROBLAZE_FPU_EXCEPTION 0
#define XPAR_ERT_MICROBLAZE_FREQ 250000000
#define XPAR_ERT_MICROBLAZE_FSL_EXCEPTION 0
#define XPAR_ERT_MICROBLAZE_FSL_LINKS 0
#define XPAR_ERT_MICROBLAZE_IADDR_SIZE 32
#define XPAR_ERT_MICROBLAZE_ICACHE_ALWAYS_USED 1
#define XPAR_ERT_MICROBLAZE_ICACHE_BASEADDR 0x00000000
#define XPAR_ERT_MICROBLAZE_ICACHE_DATA_WIDTH 0
#define XPAR_ERT_MICROBLAZE_ICACHE_FORCE_TAG_LUTRAM 0
#define XPAR_ERT_MICROBLAZE_ICACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_ERT_MICROBLAZE_ICACHE_LINE_LEN 4
#define XPAR_ERT_MICROBLAZE_ICACHE_STREAMS 0
#define XPAR_ERT_MICROBLAZE_ICACHE_VICTIMS 0
#define XPAR_ERT_MICROBLAZE_IC_AXI_MON 0
#define XPAR_ERT_MICROBLAZE_ILL_OPCODE_EXCEPTION 0
#define XPAR_ERT_MICROBLAZE_IMPRECISE_EXCEPTIONS 0
#define XPAR_ERT_MICROBLAZE_INSTR_SIZE 32
#define XPAR_ERT_MICROBLAZE_INTERCONNECT 2
#define XPAR_ERT_MICROBLAZE_INTERRUPT_IS_EDGE 0
#define XPAR_ERT_MICROBLAZE_INTERRUPT_MON 0
#define XPAR_ERT_MICROBLAZE_IP_AXI_MON 0
#define XPAR_ERT_MICROBLAZE_I_AXI 0
#define XPAR_ERT_MICROBLAZE_I_LMB 1
#define XPAR_ERT_MICROBLAZE_I_LMB_MON 0
#define XPAR_ERT_MICROBLAZE_I_LMB_PROTOCOL 0
#define XPAR_ERT_MICROBLAZE_LMB_DATA_SIZE 32
#define XPAR_ERT_MICROBLAZE_LOCKSTEP_MASTER 0
#define XPAR_ERT_MICROBLAZE_LOCKSTEP_SELECT 0
#define XPAR_ERT_MICROBLAZE_LOCKSTEP_SLAVE 0
#define XPAR_ERT_MICROBLAZE_M0_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M0_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M1_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M1_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M2_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M2_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M3_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M3_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M4_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M4_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M5_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M5_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M6_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M6_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M7_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M7_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M8_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M8_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M9_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M9_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M10_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M10_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M11_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M11_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M12_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M12_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M13_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M13_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M14_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M14_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_M15_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M15_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_MMU_DTLB_SIZE 4
#define XPAR_ERT_MICROBLAZE_MMU_ITLB_SIZE 2
#define XPAR_ERT_MICROBLAZE_MMU_PRIVILEGED_INSTR 0
#define XPAR_ERT_MICROBLAZE_MMU_TLB_ACCESS 3
#define XPAR_ERT_MICROBLAZE_MMU_ZONES 16
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_ADDR_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_ARUSER_WIDTH 5
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_AWUSER_WIDTH 5
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_BUSER_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_EXCLUSIVE_ACCESS 0
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_RUSER_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_THREAD_ID_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_USER_SIGNALS 0
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_USER_VALUE 31
#define XPAR_ERT_MICROBLAZE_M_AXI_DC_WUSER_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_DP_ADDR_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M_AXI_DP_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M_AXI_DP_EXCLUSIVE_ACCESS 0
#define XPAR_ERT_MICROBLAZE_M_AXI_DP_THREAD_ID_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_D_BUS_EXCEPTION 0
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_ADDR_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_ARUSER_WIDTH 5
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_AWUSER_WIDTH 5
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_BUSER_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_RUSER_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_THREAD_ID_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_USER_SIGNALS 0
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_USER_VALUE 31
#define XPAR_ERT_MICROBLAZE_M_AXI_IC_WUSER_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_IP_ADDR_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M_AXI_IP_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_M_AXI_IP_THREAD_ID_WIDTH 1
#define XPAR_ERT_MICROBLAZE_M_AXI_I_BUS_EXCEPTION 0
#define XPAR_ERT_MICROBLAZE_NUMBER_OF_PC_BRK 1
#define XPAR_ERT_MICROBLAZE_NUMBER_OF_RD_ADDR_BRK 0
#define XPAR_ERT_MICROBLAZE_NUMBER_OF_WR_ADDR_BRK 0
#define XPAR_ERT_MICROBLAZE_NUM_SYNC_FF_CLK 2
#define XPAR_ERT_MICROBLAZE_NUM_SYNC_FF_CLK_DEBUG 2
#define XPAR_ERT_MICROBLAZE_NUM_SYNC_FF_CLK_IRQ 1
#define XPAR_ERT_MICROBLAZE_NUM_SYNC_FF_DBG_CLK 1
#define XPAR_ERT_MICROBLAZE_NUM_SYNC_FF_DBG_TRACE_CLK 2
#define XPAR_ERT_MICROBLAZE_OPCODE_0X0_ILLEGAL 0
#define XPAR_ERT_MICROBLAZE_OPTIMIZATION 0
#define XPAR_ERT_MICROBLAZE_PC_WIDTH 32
#define XPAR_ERT_MICROBLAZE_PIADDR_SIZE 32
#define XPAR_ERT_MICROBLAZE_PVR 0
#define XPAR_ERT_MICROBLAZE_PVR_USER1 0x00
#define XPAR_ERT_MICROBLAZE_PVR_USER2 0x00000000
#define XPAR_ERT_MICROBLAZE_RESET_MSR 0x00000000
#define XPAR_ERT_MICROBLAZE_RESET_MSR_BIP 0
#define XPAR_ERT_MICROBLAZE_RESET_MSR_DCE 0
#define XPAR_ERT_MICROBLAZE_RESET_MSR_EE 0
#define XPAR_ERT_MICROBLAZE_RESET_MSR_EIP 0
#define XPAR_ERT_MICROBLAZE_RESET_MSR_ICE 0
#define XPAR_ERT_MICROBLAZE_RESET_MSR_IE 0
#define XPAR_ERT_MICROBLAZE_S0_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S0_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S1_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S1_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S2_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S2_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S3_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S3_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S4_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S4_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S5_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S5_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S6_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S6_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S7_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S7_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S8_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S8_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S9_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S9_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S10_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S10_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S11_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S11_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S12_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S12_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S13_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S13_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S14_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S14_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_S15_AXIS_DATA_WIDTH 32
#define XPAR_ERT_MICROBLAZE_S15_AXIS_PROTOCOL GENERIC
#define XPAR_ERT_MICROBLAZE_SCO 0
#define XPAR_ERT_MICROBLAZE_TRACE 0
#define XPAR_ERT_MICROBLAZE_UNALIGNED_EXCEPTIONS 0
#define XPAR_ERT_MICROBLAZE_USE_BARREL 0
#define XPAR_ERT_MICROBLAZE_USE_BRANCH_TARGET_CACHE 0
#define XPAR_ERT_MICROBLAZE_USE_CONFIG_RESET 0
#define XPAR_ERT_MICROBLAZE_USE_DCACHE 1
#define XPAR_ERT_MICROBLAZE_USE_DIV 0
#define XPAR_ERT_MICROBLAZE_USE_EXTENDED_FSL_INSTR 0
#define XPAR_ERT_MICROBLAZE_USE_EXT_BRK 0
#define XPAR_ERT_MICROBLAZE_USE_EXT_NM_BRK 0
#define XPAR_ERT_MICROBLAZE_USE_FPU 0
#define XPAR_ERT_MICROBLAZE_USE_HW_MUL 0
#define XPAR_ERT_MICROBLAZE_USE_ICACHE 0
#define XPAR_ERT_MICROBLAZE_USE_INTERRUPT 2
#define XPAR_ERT_MICROBLAZE_USE_MMU 0
#define XPAR_ERT_MICROBLAZE_USE_MSR_INSTR 0
#define XPAR_ERT_MICROBLAZE_USE_NON_SECURE 0
#define XPAR_ERT_MICROBLAZE_USE_PCMP_INSTR 0
#define XPAR_ERT_MICROBLAZE_USE_REORDER_INSTR 1
#define XPAR_ERT_MICROBLAZE_USE_STACK_PROTECTION 0
#define XPAR_ERT_MICROBLAZE_COMPONENT_NAME enhanced_ert_ert_microblaze_0
#define XPAR_ERT_MICROBLAZE_EDK_IPTYPE PROCESSOR
#define XPAR_ERT_MICROBLAZE_EDK_SPECIAL microblaze
#define XPAR_ERT_MICROBLAZE_G_TEMPLATE_LIST 0
#define XPAR_ERT_MICROBLAZE_G_USE_EXCEPTIONS 0

/******************************************************************/

#define XPAR_CPU_ID 0
#define XPAR_MICROBLAZE_ID 0
#define XPAR_MICROBLAZE_ADDR_SIZE 32
#define XPAR_MICROBLAZE_ADDR_TAG_BITS 0
#define XPAR_MICROBLAZE_ALLOW_DCACHE_WR 1
#define XPAR_MICROBLAZE_ALLOW_ICACHE_WR 1
#define XPAR_MICROBLAZE_AREA_OPTIMIZED 0
#define XPAR_MICROBLAZE_ASYNC_INTERRUPT 1
#define XPAR_MICROBLAZE_ASYNC_WAKEUP 3
#define XPAR_MICROBLAZE_AVOID_PRIMITIVES 0
#define XPAR_MICROBLAZE_BASE_VECTORS 0x00000000f0000000
#define XPAR_MICROBLAZE_BRANCH_TARGET_CACHE_SIZE 0
#define XPAR_MICROBLAZE_CACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_DADDR_SIZE 32
#define XPAR_MICROBLAZE_DATA_SIZE 32
#define XPAR_MICROBLAZE_DCACHE_ADDR_TAG 3
#define XPAR_MICROBLAZE_DCACHE_ALWAYS_USED 1
#define XPAR_MICROBLAZE_DCACHE_BASEADDR 0x01F60000
#define XPAR_MICROBLAZE_DCACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_DCACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_DCACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_DCACHE_HIGHADDR 0x01F6FFFF
#define XPAR_MICROBLAZE_DCACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_DCACHE_USE_WRITEBACK 0
#define XPAR_MICROBLAZE_DCACHE_VICTIMS 0
#define XPAR_MICROBLAZE_DC_AXI_MON 0
#define XPAR_MICROBLAZE_DEBUG_COUNTER_WIDTH 32
#define XPAR_MICROBLAZE_DEBUG_ENABLED 1
#define XPAR_MICROBLAZE_DEBUG_EVENT_COUNTERS 5
#define XPAR_MICROBLAZE_DEBUG_EXTERNAL_TRACE 0
#define XPAR_MICROBLAZE_DEBUG_INTERFACE 0
#define XPAR_MICROBLAZE_DEBUG_LATENCY_COUNTERS 1
#define XPAR_MICROBLAZE_DEBUG_PROFILE_SIZE 0
#define XPAR_MICROBLAZE_DEBUG_TRACE_ASYNC_RESET 0
#define XPAR_MICROBLAZE_DEBUG_TRACE_SIZE 8192
#define XPAR_MICROBLAZE_DIV_ZERO_EXCEPTION 0
#define XPAR_MICROBLAZE_DP_AXI_MON 0
#define XPAR_MICROBLAZE_DYNAMIC_BUS_SIZING 0
#define XPAR_MICROBLAZE_D_AXI 1
#define XPAR_MICROBLAZE_D_LMB 1
#define XPAR_MICROBLAZE_D_LMB_MON 0
#define XPAR_MICROBLAZE_D_LMB_PROTOCOL 0
#define XPAR_MICROBLAZE_ECC_USE_CE_EXCEPTION 0
#define XPAR_MICROBLAZE_EDGE_IS_POSITIVE 1
#define XPAR_MICROBLAZE_ENABLE_DISCRETE_PORTS 1
#define XPAR_MICROBLAZE_ENDIANNESS 1
#define XPAR_MICROBLAZE_FAULT_TOLERANT 0
#define XPAR_MICROBLAZE_FPU_EXCEPTION 0
#define XPAR_MICROBLAZE_FREQ 250000000
#define XPAR_MICROBLAZE_FSL_EXCEPTION 0
#define XPAR_MICROBLAZE_FSL_LINKS 0
#define XPAR_MICROBLAZE_IADDR_SIZE 32
#define XPAR_MICROBLAZE_ICACHE_ALWAYS_USED 1
#define XPAR_MICROBLAZE_ICACHE_BASEADDR 0x00000000
#define XPAR_MICROBLAZE_ICACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_ICACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_ICACHE_HIGHADDR 0x3FFFFFFF
#define XPAR_MICROBLAZE_ICACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_ICACHE_STREAMS 0
#define XPAR_MICROBLAZE_ICACHE_VICTIMS 0
#define XPAR_MICROBLAZE_IC_AXI_MON 0
#define XPAR_MICROBLAZE_ILL_OPCODE_EXCEPTION 0
#define XPAR_MICROBLAZE_IMPRECISE_EXCEPTIONS 0
#define XPAR_MICROBLAZE_INSTR_SIZE 32
#define XPAR_MICROBLAZE_INTERCONNECT 2
#define XPAR_MICROBLAZE_INTERRUPT_IS_EDGE 0
#define XPAR_MICROBLAZE_INTERRUPT_MON 0
#define XPAR_MICROBLAZE_IP_AXI_MON 0
#define XPAR_MICROBLAZE_I_AXI 0
#define XPAR_MICROBLAZE_I_LMB 1
#define XPAR_MICROBLAZE_I_LMB_MON 0
#define XPAR_MICROBLAZE_I_LMB_PROTOCOL 0
#define XPAR_MICROBLAZE_LMB_DATA_SIZE 32
#define XPAR_MICROBLAZE_LOCKSTEP_MASTER 0
#define XPAR_MICROBLAZE_LOCKSTEP_SELECT 0
#define XPAR_MICROBLAZE_LOCKSTEP_SLAVE 0
#define XPAR_MICROBLAZE_M0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_MMU_DTLB_SIZE 4
#define XPAR_MICROBLAZE_MMU_ITLB_SIZE 2
#define XPAR_MICROBLAZE_MMU_PRIVILEGED_INSTR 0
#define XPAR_MICROBLAZE_MMU_TLB_ACCESS 3
#define XPAR_MICROBLAZE_MMU_ZONES 16
#define XPAR_MICROBLAZE_M_AXI_DC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_DC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_DC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DC_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_M_AXI_DC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_M_AXI_DC_USER_VALUE 31
#define XPAR_MICROBLAZE_M_AXI_DC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DP_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_M_AXI_DP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_D_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_M_AXI_IC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_IC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_IC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_M_AXI_IC_USER_VALUE 31
#define XPAR_MICROBLAZE_M_AXI_IC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_I_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_NUMBER_OF_PC_BRK 1
#define XPAR_MICROBLAZE_NUMBER_OF_RD_ADDR_BRK 0
#define XPAR_MICROBLAZE_NUMBER_OF_WR_ADDR_BRK 0
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK 2
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK_DEBUG 2
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK_IRQ 1
#define XPAR_MICROBLAZE_NUM_SYNC_FF_DBG_CLK 1
#define XPAR_MICROBLAZE_NUM_SYNC_FF_DBG_TRACE_CLK 2
#define XPAR_MICROBLAZE_OPCODE_0X0_ILLEGAL 0
#define XPAR_MICROBLAZE_OPTIMIZATION 0
#define XPAR_MICROBLAZE_PC_WIDTH 32
#define XPAR_MICROBLAZE_PIADDR_SIZE 32
#define XPAR_MICROBLAZE_PVR 0
#define XPAR_MICROBLAZE_PVR_USER1 0x00
#define XPAR_MICROBLAZE_PVR_USER2 0x00000000
#define XPAR_MICROBLAZE_RESET_MSR 0x00000000
#define XPAR_MICROBLAZE_RESET_MSR_BIP 0
#define XPAR_MICROBLAZE_RESET_MSR_DCE 0
#define XPAR_MICROBLAZE_RESET_MSR_EE 0
#define XPAR_MICROBLAZE_RESET_MSR_EIP 0
#define XPAR_MICROBLAZE_RESET_MSR_ICE 0
#define XPAR_MICROBLAZE_RESET_MSR_IE 0
#define XPAR_MICROBLAZE_S0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_SCO 0
#define XPAR_MICROBLAZE_TRACE 0
#define XPAR_MICROBLAZE_UNALIGNED_EXCEPTIONS 0
#define XPAR_MICROBLAZE_USE_BARREL 0
#define XPAR_MICROBLAZE_USE_BRANCH_TARGET_CACHE 0
#define XPAR_MICROBLAZE_USE_CONFIG_RESET 0
#define XPAR_MICROBLAZE_USE_DCACHE 1
#define XPAR_MICROBLAZE_USE_DIV 0
#define XPAR_MICROBLAZE_USE_EXTENDED_FSL_INSTR 0
#define XPAR_MICROBLAZE_USE_EXT_BRK 0
#define XPAR_MICROBLAZE_USE_EXT_NM_BRK 0
#define XPAR_MICROBLAZE_USE_FPU 0
#define XPAR_MICROBLAZE_USE_HW_MUL 0
#define XPAR_MICROBLAZE_USE_ICACHE 0
#define XPAR_MICROBLAZE_USE_INTERRUPT 2
#define XPAR_MICROBLAZE_USE_MMU 0
#define XPAR_MICROBLAZE_USE_MSR_INSTR 0
#define XPAR_MICROBLAZE_USE_NON_SECURE 0
#define XPAR_MICROBLAZE_USE_PCMP_INSTR 0
#define XPAR_MICROBLAZE_USE_REORDER_INSTR 1
#define XPAR_MICROBLAZE_USE_STACK_PROTECTION 0
#define XPAR_MICROBLAZE_COMPONENT_NAME enhanced_ert_ert_microblaze_0
#define XPAR_MICROBLAZE_EDK_IPTYPE PROCESSOR
#define XPAR_MICROBLAZE_EDK_SPECIAL microblaze
#define XPAR_MICROBLAZE_G_TEMPLATE_LIST 0
#define XPAR_MICROBLAZE_G_USE_EXCEPTIONS 0

/******************************************************************/


/* Definitions for interface M_AXI_CTRL_USER_ERT */
#define XPAR_M_AXI_CTRL_USER_ERT_BASEADDR 0x01000000
#define XPAR_M_AXI_CTRL_USER_ERT_HIGHADDR 0x017FFFFF

#define STDIN_BASEADDRESS 0x01F40000
#define STDOUT_BASEADDRESS 0x01F40000

/******************************************************************/

/* Platform specific definitions */
#define PLATFORM_MB
 
/* Definitions for sleep timer configuration */
#define XSLEEP_TIMER_IS_DEFAULT_TIMER
 
 
/******************************************************************/
/* Definitions for driver BRAM */
#define XPAR_XBRAM_NUM_INSTANCES 2U

/* Definitions for peripheral ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR */
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_DEVICE_ID 0U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_DATA_WIDTH 32U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_ECC 0U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_FAULT_INJECT 0U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_CE_FAILING_REGISTERS 0U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_UE_FAILING_REGISTERS 0U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_ECC_STATUS_REGISTERS 0U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_CE_COUNTER_WIDTH 0U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_ECC_ONOFF_REGISTER 0U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_WRITE_ACCESS 2U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_BASEADDR 0xF0000000U
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_HIGHADDR 0xF0007FFFU
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_S_AXI_CTRL_BASEADDR 0xFFFFFFFFU  
#define XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_S_AXI_CTRL_HIGHADDR 0xFFFFFFFFU  


/* Definitions for peripheral ERT_PERIPHERALS_CQ_RAM_CTRL_ERT */
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_DEVICE_ID 1U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_DATA_WIDTH 32U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_ECC 0U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_FAULT_INJECT 0U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_CE_FAILING_REGISTERS 0U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_UE_FAILING_REGISTERS 0U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_ECC_STATUS_REGISTERS 0U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_CE_COUNTER_WIDTH 0U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_ECC_ONOFF_REGISTER 0U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_ECC_ONOFF_RESET_VALUE 0U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_WRITE_ACCESS 0U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_S_AXI_BASEADDR 0x01F60000U
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_S_AXI_HIGHADDR 0x01F6FFFFU
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_S_AXI_CTRL_BASEADDR 0xFFFFFFFFU  
#define XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_S_AXI_CTRL_HIGHADDR 0xFFFFFFFFU  


/******************************************************************/

/* Canonical definitions for peripheral ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR */
#define XPAR_BRAM_0_DEVICE_ID XPAR_ERT_MICROBLAZE_LOCAL_MEMORY_LMB_BRAM_IF_CNTLR_DEVICE_ID
#define XPAR_BRAM_0_DATA_WIDTH 32U
#define XPAR_BRAM_0_ECC 0U
#define XPAR_BRAM_0_FAULT_INJECT 0U
#define XPAR_BRAM_0_CE_FAILING_REGISTERS 0U
#define XPAR_BRAM_0_UE_FAILING_REGISTERS 0U
#define XPAR_BRAM_0_ECC_STATUS_REGISTERS 0U
#define XPAR_BRAM_0_CE_COUNTER_WIDTH 0U
#define XPAR_BRAM_0_ECC_ONOFF_REGISTER 0U
#define XPAR_BRAM_0_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_BRAM_0_WRITE_ACCESS 2U
#define XPAR_BRAM_0_BASEADDR 0xF0000000U
#define XPAR_BRAM_0_HIGHADDR 0xF0007FFFU
#define XPAR_BRAM_0_CTRL_BASEADDR 0xFFFFFFFFU  
#define XPAR_BRAM_0_CTRL_HIGHADDR 0xFFFFFFFEU  

/* Canonical definitions for peripheral ERT_PERIPHERALS_CQ_RAM_CTRL_ERT */
#define XPAR_BRAM_1_DEVICE_ID XPAR_ERT_PERIPHERALS_CQ_RAM_CTRL_ERT_DEVICE_ID
#define XPAR_BRAM_1_DATA_WIDTH 32U
#define XPAR_BRAM_1_ECC 0U
#define XPAR_BRAM_1_FAULT_INJECT 0U
#define XPAR_BRAM_1_CE_FAILING_REGISTERS 0U
#define XPAR_BRAM_1_UE_FAILING_REGISTERS 0U
#define XPAR_BRAM_1_ECC_STATUS_REGISTERS 0U
#define XPAR_BRAM_1_CE_COUNTER_WIDTH 0U
#define XPAR_BRAM_1_ECC_ONOFF_REGISTER 0U
#define XPAR_BRAM_1_ECC_ONOFF_RESET_VALUE 0U
#define XPAR_BRAM_1_WRITE_ACCESS 0U
#define XPAR_BRAM_1_BASEADDR 0x01F60000U
#define XPAR_BRAM_1_HIGHADDR 0x01F6FFFFU
#define XPAR_BRAM_1_CTRL_BASEADDR 0xFFFFFFFFU  
#define XPAR_BRAM_1_CTRL_HIGHADDR 0xFFFFFFFEU  


/******************************************************************/


/* Definitions for peripheral ERT_PERIPHERALS_BUILD_INFO_ERT */
#define XPAR_ERT_PERIPHERALS_BUILD_INFO_ERT_BASEADDR 0x01F00000
#define XPAR_ERT_PERIPHERALS_BUILD_INFO_ERT_HIGHADDR 0x01F0FFFF


/* Definitions for peripheral USER_PERIPHERALS_EMBD_SCHEDULER_HW */
#define XPAR_USER_PERIPHERALS_EMBD_SCHEDULER_HW_BASEADDR 0x00010000
#define XPAR_USER_PERIPHERALS_EMBD_SCHEDULER_HW_HIGHADDR 0x0001FFFF


/* Definitions for peripheral USER_PERIPHERALS_KDMA */
#define XPAR_USER_PERIPHERALS_KDMA_S_AXI_CTRL_BASEADDR 0x00020000
#define XPAR_USER_PERIPHERALS_KDMA_S_AXI_CTRL_HIGHADDR 0x0002FFFF


/******************************************************************/

/* Definitions for driver GPIO */
#define XPAR_XGPIO_NUM_INSTANCES 3

/* Definitions for peripheral ERT_PERIPHERALS_AXI_GPIO_MB_BASE_ADDR */
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_MB_BASE_ADDR_BASEADDR 0x01F30000
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_MB_BASE_ADDR_HIGHADDR 0x01F3FFFF
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_MB_BASE_ADDR_DEVICE_ID 0
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_MB_BASE_ADDR_INTERRUPT_PRESENT 0
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_MB_BASE_ADDR_IS_DUAL 1


/* Definitions for peripheral ERT_PERIPHERALS_AXI_GPIO_WDT */
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_WDT_BASEADDR 0x01F50000
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_WDT_HIGHADDR 0x01F5FFFF
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_WDT_DEVICE_ID 1
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_WDT_INTERRUPT_PRESENT 0
#define XPAR_ERT_PERIPHERALS_AXI_GPIO_WDT_IS_DUAL 0


/* Definitions for peripheral USER_PERIPHERALS_AXI_GPIO_ERT_CONFIG */
#define XPAR_USER_PERIPHERALS_AXI_GPIO_ERT_CONFIG_BASEADDR 0x00004000
#define XPAR_USER_PERIPHERALS_AXI_GPIO_ERT_CONFIG_HIGHADDR 0x00004FFF
#define XPAR_USER_PERIPHERALS_AXI_GPIO_ERT_CONFIG_DEVICE_ID 2
#define XPAR_USER_PERIPHERALS_AXI_GPIO_ERT_CONFIG_INTERRUPT_PRESENT 0
#define XPAR_USER_PERIPHERALS_AXI_GPIO_ERT_CONFIG_IS_DUAL 1


/******************************************************************/

/* Canonical definitions for peripheral ERT_PERIPHERALS_AXI_GPIO_MB_BASE_ADDR */
#define XPAR_GPIO_0_BASEADDR 0x01F30000
#define XPAR_GPIO_0_HIGHADDR 0x01F3FFFF
#define XPAR_GPIO_0_DEVICE_ID XPAR_ERT_PERIPHERALS_AXI_GPIO_MB_BASE_ADDR_DEVICE_ID
#define XPAR_GPIO_0_INTERRUPT_PRESENT 0
#define XPAR_GPIO_0_IS_DUAL 1

/* Canonical definitions for peripheral ERT_PERIPHERALS_AXI_GPIO_WDT */
#define XPAR_GPIO_1_BASEADDR 0x01F50000
#define XPAR_GPIO_1_HIGHADDR 0x01F5FFFF
#define XPAR_GPIO_1_DEVICE_ID XPAR_ERT_PERIPHERALS_AXI_GPIO_WDT_DEVICE_ID
#define XPAR_GPIO_1_INTERRUPT_PRESENT 0
#define XPAR_GPIO_1_IS_DUAL 0

/* Canonical definitions for peripheral USER_PERIPHERALS_AXI_GPIO_ERT_CONFIG */
#define XPAR_GPIO_2_BASEADDR 0x00004000
#define XPAR_GPIO_2_HIGHADDR 0x00004FFF
#define XPAR_GPIO_2_DEVICE_ID XPAR_USER_PERIPHERALS_AXI_GPIO_ERT_CONFIG_DEVICE_ID
#define XPAR_GPIO_2_INTERRUPT_PRESENT 0
#define XPAR_GPIO_2_IS_DUAL 1


/******************************************************************/

#define XPAR_INTC_MAX_NUM_INTR_INPUTS 137
#define XPAR_XINTC_HAS_IPR 1
#define XPAR_XINTC_HAS_SIE 1
#define XPAR_XINTC_HAS_CIE 1
#define XPAR_XINTC_HAS_IVR 1
/* Definitions for driver INTC */
#define XPAR_XINTC_NUM_INSTANCES 5

/* Definitions for peripheral ERT_PERIPHERALS_AXI_INTC_ERT */
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_DEVICE_ID 0
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_BASEADDR 0x01F20000
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_HIGHADDR 0x01F2FFFF
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_KIND_OF_INTR 0xFFFFFFF4
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_HAS_FAST 1
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_IVAR_RESET_VALUE 0x00000000F0000010
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_NUM_INTR_INPUTS 9
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_ADDR_WIDTH 32

#define XPAR_INTC_SINGLE_BASEADDR 0x01F20000
#define XPAR_INTC_SINGLE_HIGHADDR 0x01F2FFFF

/* Definitions for peripheral USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31 */
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_DEVICE_ID 1
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_BASEADDR 0x00000000
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_HIGHADDR 0x00000FFF
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_KIND_OF_INTR 0xFFFFFFFF
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_HAS_FAST 0
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_IVAR_RESET_VALUE 0x0000000000000010
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_NUM_INTR_INPUTS 32
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_ADDR_WIDTH 32


/* Definitions for peripheral USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63 */
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_DEVICE_ID 2
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_BASEADDR 0x00001000
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_HIGHADDR 0x00001FFF
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_KIND_OF_INTR 0xFFFFFFFF
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_HAS_FAST 0
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_IVAR_RESET_VALUE 0x0000000000000010
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_NUM_INTR_INPUTS 32
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_ADDR_WIDTH 32


/* Definitions for peripheral USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95 */
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_DEVICE_ID 3
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_BASEADDR 0x00002000
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_HIGHADDR 0x00002FFF
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_KIND_OF_INTR 0xFFFFFFFF
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_HAS_FAST 0
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_IVAR_RESET_VALUE 0x0000000000000010
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_NUM_INTR_INPUTS 32
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_ADDR_WIDTH 32


/* Definitions for peripheral USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127 */
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_DEVICE_ID 4
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_BASEADDR 0x00003000
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_HIGHADDR 0x00003FFF
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_KIND_OF_INTR 0xFFFFFFFF
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_HAS_FAST 0
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_IVAR_RESET_VALUE 0x0000000000000010
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_NUM_INTR_INPUTS 32
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_ADDR_WIDTH 32


/******************************************************************/

#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_TYPE 3U
#define XPAR_USER_PERIPHERALS_EMBD_SCHEDULER_HW_IRQ_SLOTAVAILABLE_MASK 0X000001U
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_EMBD_SCHEDULER_HW_IRQ_SLOTAVAILABLE_INTR 0U
#define XPAR_USER_PERIPHERALS_KDMA_INTERRUPT_MASK 0X000004U
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_KDMA_INTERRUPT_INTR 2U
#define XPAR_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_WDT_INTERRUPT_MASK 0X000008U
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_WDT_INTERRUPT_INTR 3U
#define XPAR_ERT_PERIPHERALS_ERT_UART_INTERRUPT_MASK 0X000010U
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_ERT_PERIPHERALS_ERT_UART_INTERRUPT_INTR 4U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_IRQ_MASK 0X000020U
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_IRQ_INTR 5U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_IRQ_MASK 0X000040U
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_IRQ_INTR 6U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_IRQ_MASK 0X000080U
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_IRQ_INTR 7U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_IRQ_MASK 0X000100U
#define XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_IRQ_INTR 8U

/******************************************************************/

#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_TYPE 3U
#define XPAR_SYSTEM_INTERRUPT_CU_MASK 0X000001U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_INTR 0U
#define XPAR_SYSTEM_INTERRUPT_CU_1_MASK 0X000002U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_1_INTR 1U
#define XPAR_SYSTEM_INTERRUPT_CU_2_MASK 0X000004U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_2_INTR 2U
#define XPAR_SYSTEM_INTERRUPT_CU_3_MASK 0X000008U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_3_INTR 3U
#define XPAR_SYSTEM_INTERRUPT_CU_4_MASK 0X000010U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_4_INTR 4U
#define XPAR_SYSTEM_INTERRUPT_CU_5_MASK 0X000020U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_5_INTR 5U
#define XPAR_SYSTEM_INTERRUPT_CU_6_MASK 0X000040U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_6_INTR 6U
#define XPAR_SYSTEM_INTERRUPT_CU_7_MASK 0X000080U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_7_INTR 7U
#define XPAR_SYSTEM_INTERRUPT_CU_8_MASK 0X000100U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_8_INTR 8U
#define XPAR_SYSTEM_INTERRUPT_CU_9_MASK 0X000200U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_9_INTR 9U
#define XPAR_SYSTEM_INTERRUPT_CU_10_MASK 0X000400U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_10_INTR 10U
#define XPAR_SYSTEM_INTERRUPT_CU_11_MASK 0X000800U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_11_INTR 11U
#define XPAR_SYSTEM_INTERRUPT_CU_12_MASK 0X001000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_12_INTR 12U
#define XPAR_SYSTEM_INTERRUPT_CU_13_MASK 0X002000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_13_INTR 13U
#define XPAR_SYSTEM_INTERRUPT_CU_14_MASK 0X004000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_14_INTR 14U
#define XPAR_SYSTEM_INTERRUPT_CU_15_MASK 0X008000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_15_INTR 15U
#define XPAR_SYSTEM_INTERRUPT_CU_16_MASK 0X010000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_16_INTR 16U
#define XPAR_SYSTEM_INTERRUPT_CU_17_MASK 0X020000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_17_INTR 17U
#define XPAR_SYSTEM_INTERRUPT_CU_18_MASK 0X040000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_18_INTR 18U
#define XPAR_SYSTEM_INTERRUPT_CU_19_MASK 0X080000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_19_INTR 19U
#define XPAR_SYSTEM_INTERRUPT_CU_20_MASK 0X100000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_20_INTR 20U
#define XPAR_SYSTEM_INTERRUPT_CU_21_MASK 0X200000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_21_INTR 21U
#define XPAR_SYSTEM_INTERRUPT_CU_22_MASK 0X400000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_22_INTR 22U
#define XPAR_SYSTEM_INTERRUPT_CU_23_MASK 0X800000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_23_INTR 23U
#define XPAR_SYSTEM_INTERRUPT_CU_24_MASK 0X1000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_24_INTR 24U
#define XPAR_SYSTEM_INTERRUPT_CU_25_MASK 0X2000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_25_INTR 25U
#define XPAR_SYSTEM_INTERRUPT_CU_26_MASK 0X4000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_26_INTR 26U
#define XPAR_SYSTEM_INTERRUPT_CU_27_MASK 0X8000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_27_INTR 27U
#define XPAR_SYSTEM_INTERRUPT_CU_28_MASK 0X10000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_28_INTR 28U
#define XPAR_SYSTEM_INTERRUPT_CU_29_MASK 0X20000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_29_INTR 29U
#define XPAR_SYSTEM_INTERRUPT_CU_30_MASK 0X40000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_30_INTR 30U
#define XPAR_SYSTEM_INTERRUPT_CU_31_MASK 0X80000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_SYSTEM_INTERRUPT_CU_31_INTR 31U

/******************************************************************/

#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_TYPE 3U
#define XPAR_SYSTEM_INTERRUPT_CU_MASK 0X000001U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_INTR 0U
#define XPAR_SYSTEM_INTERRUPT_CU_1_MASK 0X000002U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_1_INTR 1U
#define XPAR_SYSTEM_INTERRUPT_CU_2_MASK 0X000004U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_2_INTR 2U
#define XPAR_SYSTEM_INTERRUPT_CU_3_MASK 0X000008U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_3_INTR 3U
#define XPAR_SYSTEM_INTERRUPT_CU_4_MASK 0X000010U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_4_INTR 4U
#define XPAR_SYSTEM_INTERRUPT_CU_5_MASK 0X000020U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_5_INTR 5U
#define XPAR_SYSTEM_INTERRUPT_CU_6_MASK 0X000040U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_6_INTR 6U
#define XPAR_SYSTEM_INTERRUPT_CU_7_MASK 0X000080U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_7_INTR 7U
#define XPAR_SYSTEM_INTERRUPT_CU_8_MASK 0X000100U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_8_INTR 8U
#define XPAR_SYSTEM_INTERRUPT_CU_9_MASK 0X000200U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_9_INTR 9U
#define XPAR_SYSTEM_INTERRUPT_CU_10_MASK 0X000400U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_10_INTR 10U
#define XPAR_SYSTEM_INTERRUPT_CU_11_MASK 0X000800U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_11_INTR 11U
#define XPAR_SYSTEM_INTERRUPT_CU_12_MASK 0X001000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_12_INTR 12U
#define XPAR_SYSTEM_INTERRUPT_CU_13_MASK 0X002000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_13_INTR 13U
#define XPAR_SYSTEM_INTERRUPT_CU_14_MASK 0X004000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_14_INTR 14U
#define XPAR_SYSTEM_INTERRUPT_CU_15_MASK 0X008000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_15_INTR 15U
#define XPAR_SYSTEM_INTERRUPT_CU_16_MASK 0X010000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_16_INTR 16U
#define XPAR_SYSTEM_INTERRUPT_CU_17_MASK 0X020000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_17_INTR 17U
#define XPAR_SYSTEM_INTERRUPT_CU_18_MASK 0X040000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_18_INTR 18U
#define XPAR_SYSTEM_INTERRUPT_CU_19_MASK 0X080000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_19_INTR 19U
#define XPAR_SYSTEM_INTERRUPT_CU_20_MASK 0X100000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_20_INTR 20U
#define XPAR_SYSTEM_INTERRUPT_CU_21_MASK 0X200000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_21_INTR 21U
#define XPAR_SYSTEM_INTERRUPT_CU_22_MASK 0X400000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_22_INTR 22U
#define XPAR_SYSTEM_INTERRUPT_CU_23_MASK 0X800000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_23_INTR 23U
#define XPAR_SYSTEM_INTERRUPT_CU_24_MASK 0X1000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_24_INTR 24U
#define XPAR_SYSTEM_INTERRUPT_CU_25_MASK 0X2000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_25_INTR 25U
#define XPAR_SYSTEM_INTERRUPT_CU_26_MASK 0X4000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_26_INTR 26U
#define XPAR_SYSTEM_INTERRUPT_CU_27_MASK 0X8000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_27_INTR 27U
#define XPAR_SYSTEM_INTERRUPT_CU_28_MASK 0X10000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_28_INTR 28U
#define XPAR_SYSTEM_INTERRUPT_CU_29_MASK 0X20000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_29_INTR 29U
#define XPAR_SYSTEM_INTERRUPT_CU_30_MASK 0X40000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_30_INTR 30U
#define XPAR_SYSTEM_INTERRUPT_CU_31_MASK 0X80000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_SYSTEM_INTERRUPT_CU_31_INTR 31U

/******************************************************************/

#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_TYPE 3U
#define XPAR_SYSTEM_INTERRUPT_CU_MASK 0X000001U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_INTR 0U
#define XPAR_SYSTEM_INTERRUPT_CU_1_MASK 0X000002U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_1_INTR 1U
#define XPAR_SYSTEM_INTERRUPT_CU_2_MASK 0X000004U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_2_INTR 2U
#define XPAR_SYSTEM_INTERRUPT_CU_3_MASK 0X000008U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_3_INTR 3U
#define XPAR_SYSTEM_INTERRUPT_CU_4_MASK 0X000010U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_4_INTR 4U
#define XPAR_SYSTEM_INTERRUPT_CU_5_MASK 0X000020U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_5_INTR 5U
#define XPAR_SYSTEM_INTERRUPT_CU_6_MASK 0X000040U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_6_INTR 6U
#define XPAR_SYSTEM_INTERRUPT_CU_7_MASK 0X000080U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_7_INTR 7U
#define XPAR_SYSTEM_INTERRUPT_CU_8_MASK 0X000100U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_8_INTR 8U
#define XPAR_SYSTEM_INTERRUPT_CU_9_MASK 0X000200U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_9_INTR 9U
#define XPAR_SYSTEM_INTERRUPT_CU_10_MASK 0X000400U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_10_INTR 10U
#define XPAR_SYSTEM_INTERRUPT_CU_11_MASK 0X000800U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_11_INTR 11U
#define XPAR_SYSTEM_INTERRUPT_CU_12_MASK 0X001000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_12_INTR 12U
#define XPAR_SYSTEM_INTERRUPT_CU_13_MASK 0X002000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_13_INTR 13U
#define XPAR_SYSTEM_INTERRUPT_CU_14_MASK 0X004000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_14_INTR 14U
#define XPAR_SYSTEM_INTERRUPT_CU_15_MASK 0X008000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_15_INTR 15U
#define XPAR_SYSTEM_INTERRUPT_CU_16_MASK 0X010000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_16_INTR 16U
#define XPAR_SYSTEM_INTERRUPT_CU_17_MASK 0X020000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_17_INTR 17U
#define XPAR_SYSTEM_INTERRUPT_CU_18_MASK 0X040000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_18_INTR 18U
#define XPAR_SYSTEM_INTERRUPT_CU_19_MASK 0X080000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_19_INTR 19U
#define XPAR_SYSTEM_INTERRUPT_CU_20_MASK 0X100000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_20_INTR 20U
#define XPAR_SYSTEM_INTERRUPT_CU_21_MASK 0X200000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_21_INTR 21U
#define XPAR_SYSTEM_INTERRUPT_CU_22_MASK 0X400000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_22_INTR 22U
#define XPAR_SYSTEM_INTERRUPT_CU_23_MASK 0X800000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_23_INTR 23U
#define XPAR_SYSTEM_INTERRUPT_CU_24_MASK 0X1000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_24_INTR 24U
#define XPAR_SYSTEM_INTERRUPT_CU_25_MASK 0X2000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_25_INTR 25U
#define XPAR_SYSTEM_INTERRUPT_CU_26_MASK 0X4000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_26_INTR 26U
#define XPAR_SYSTEM_INTERRUPT_CU_27_MASK 0X8000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_27_INTR 27U
#define XPAR_SYSTEM_INTERRUPT_CU_28_MASK 0X10000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_28_INTR 28U
#define XPAR_SYSTEM_INTERRUPT_CU_29_MASK 0X20000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_29_INTR 29U
#define XPAR_SYSTEM_INTERRUPT_CU_30_MASK 0X40000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_30_INTR 30U
#define XPAR_SYSTEM_INTERRUPT_CU_31_MASK 0X80000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_SYSTEM_INTERRUPT_CU_31_INTR 31U

/******************************************************************/

#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_TYPE 3U
#define XPAR_SYSTEM_INTERRUPT_CU_MASK 0X000001U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_INTR 0U
#define XPAR_SYSTEM_INTERRUPT_CU_1_MASK 0X000002U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_1_INTR 1U
#define XPAR_SYSTEM_INTERRUPT_CU_2_MASK 0X000004U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_2_INTR 2U
#define XPAR_SYSTEM_INTERRUPT_CU_3_MASK 0X000008U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_3_INTR 3U
#define XPAR_SYSTEM_INTERRUPT_CU_4_MASK 0X000010U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_4_INTR 4U
#define XPAR_SYSTEM_INTERRUPT_CU_5_MASK 0X000020U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_5_INTR 5U
#define XPAR_SYSTEM_INTERRUPT_CU_6_MASK 0X000040U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_6_INTR 6U
#define XPAR_SYSTEM_INTERRUPT_CU_7_MASK 0X000080U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_7_INTR 7U
#define XPAR_SYSTEM_INTERRUPT_CU_8_MASK 0X000100U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_8_INTR 8U
#define XPAR_SYSTEM_INTERRUPT_CU_9_MASK 0X000200U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_9_INTR 9U
#define XPAR_SYSTEM_INTERRUPT_CU_10_MASK 0X000400U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_10_INTR 10U
#define XPAR_SYSTEM_INTERRUPT_CU_11_MASK 0X000800U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_11_INTR 11U
#define XPAR_SYSTEM_INTERRUPT_CU_12_MASK 0X001000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_12_INTR 12U
#define XPAR_SYSTEM_INTERRUPT_CU_13_MASK 0X002000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_13_INTR 13U
#define XPAR_SYSTEM_INTERRUPT_CU_14_MASK 0X004000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_14_INTR 14U
#define XPAR_SYSTEM_INTERRUPT_CU_15_MASK 0X008000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_15_INTR 15U
#define XPAR_SYSTEM_INTERRUPT_CU_16_MASK 0X010000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_16_INTR 16U
#define XPAR_SYSTEM_INTERRUPT_CU_17_MASK 0X020000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_17_INTR 17U
#define XPAR_SYSTEM_INTERRUPT_CU_18_MASK 0X040000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_18_INTR 18U
#define XPAR_SYSTEM_INTERRUPT_CU_19_MASK 0X080000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_19_INTR 19U
#define XPAR_SYSTEM_INTERRUPT_CU_20_MASK 0X100000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_20_INTR 20U
#define XPAR_SYSTEM_INTERRUPT_CU_21_MASK 0X200000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_21_INTR 21U
#define XPAR_SYSTEM_INTERRUPT_CU_22_MASK 0X400000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_22_INTR 22U
#define XPAR_SYSTEM_INTERRUPT_CU_23_MASK 0X800000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_23_INTR 23U
#define XPAR_SYSTEM_INTERRUPT_CU_24_MASK 0X1000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_24_INTR 24U
#define XPAR_SYSTEM_INTERRUPT_CU_25_MASK 0X2000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_25_INTR 25U
#define XPAR_SYSTEM_INTERRUPT_CU_26_MASK 0X4000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_26_INTR 26U
#define XPAR_SYSTEM_INTERRUPT_CU_27_MASK 0X8000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_27_INTR 27U
#define XPAR_SYSTEM_INTERRUPT_CU_28_MASK 0X10000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_28_INTR 28U
#define XPAR_SYSTEM_INTERRUPT_CU_29_MASK 0X20000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_29_INTR 29U
#define XPAR_SYSTEM_INTERRUPT_CU_30_MASK 0X40000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_30_INTR 30U
#define XPAR_SYSTEM_INTERRUPT_CU_31_MASK 0X80000000U
#define XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_SYSTEM_INTERRUPT_CU_31_INTR 31U

/******************************************************************/

/* Canonical definitions for peripheral ERT_PERIPHERALS_AXI_INTC_ERT */
#define XPAR_INTC_0_DEVICE_ID XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_DEVICE_ID
#define XPAR_INTC_0_BASEADDR 0x01F20000U
#define XPAR_INTC_0_HIGHADDR 0x01F2FFFFU
#define XPAR_INTC_0_KIND_OF_INTR 0xFFFFFFF4U
#define XPAR_INTC_0_HAS_FAST 1U
#define XPAR_INTC_0_IVAR_RESET_VALUE 0x00000000F0000010U
#define XPAR_INTC_0_NUM_INTR_INPUTS 9U
#define XPAR_INTC_0_ADDR_WIDTH 32U
#define XPAR_INTC_0_INTC_TYPE 3U

/* Canonical definitions for peripheral USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31 */
#define XPAR_INTC_1_DEVICE_ID XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_DEVICE_ID
#define XPAR_INTC_1_BASEADDR 0x00000000U
#define XPAR_INTC_1_HIGHADDR 0x00000FFFU
#define XPAR_INTC_1_KIND_OF_INTR 0xFFFFFFFFU
#define XPAR_INTC_1_HAS_FAST 0U
#define XPAR_INTC_1_IVAR_RESET_VALUE 0x0000000000000010U
#define XPAR_INTC_1_NUM_INTR_INPUTS 32U
#define XPAR_INTC_1_ADDR_WIDTH 32U
#define XPAR_INTC_1_INTC_TYPE 3U

/* Canonical definitions for peripheral USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63 */
#define XPAR_INTC_2_DEVICE_ID XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_DEVICE_ID
#define XPAR_INTC_2_BASEADDR 0x00001000U
#define XPAR_INTC_2_HIGHADDR 0x00001FFFU
#define XPAR_INTC_2_KIND_OF_INTR 0xFFFFFFFFU
#define XPAR_INTC_2_HAS_FAST 0U
#define XPAR_INTC_2_IVAR_RESET_VALUE 0x0000000000000010U
#define XPAR_INTC_2_NUM_INTR_INPUTS 32U
#define XPAR_INTC_2_ADDR_WIDTH 32U
#define XPAR_INTC_2_INTC_TYPE 3U

/* Canonical definitions for peripheral USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95 */
#define XPAR_INTC_3_DEVICE_ID XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_DEVICE_ID
#define XPAR_INTC_3_BASEADDR 0x00002000U
#define XPAR_INTC_3_HIGHADDR 0x00002FFFU
#define XPAR_INTC_3_KIND_OF_INTR 0xFFFFFFFFU
#define XPAR_INTC_3_HAS_FAST 0U
#define XPAR_INTC_3_IVAR_RESET_VALUE 0x0000000000000010U
#define XPAR_INTC_3_NUM_INTR_INPUTS 32U
#define XPAR_INTC_3_ADDR_WIDTH 32U
#define XPAR_INTC_3_INTC_TYPE 3U

/* Canonical definitions for peripheral USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127 */
#define XPAR_INTC_4_DEVICE_ID XPAR_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_DEVICE_ID
#define XPAR_INTC_4_BASEADDR 0x00003000U
#define XPAR_INTC_4_HIGHADDR 0x00003FFFU
#define XPAR_INTC_4_KIND_OF_INTR 0xFFFFFFFFU
#define XPAR_INTC_4_HAS_FAST 0U
#define XPAR_INTC_4_IVAR_RESET_VALUE 0x0000000000000010U
#define XPAR_INTC_4_NUM_INTR_INPUTS 32U
#define XPAR_INTC_4_ADDR_WIDTH 32U
#define XPAR_INTC_4_INTC_TYPE 3U

#define XPAR_INTC_0_WDTTB_0_VEC_ID XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_WDT_INTERRUPT_INTR
#define XPAR_INTC_0_UARTLITE_0_VEC_ID XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_ERT_PERIPHERALS_ERT_UART_INTERRUPT_INTR
#define XPAR_INTC_0_INTC_1_VEC_ID XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_0_31_IRQ_INTR
#define XPAR_INTC_0_INTC_2_VEC_ID XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_32_63_IRQ_INTR
#define XPAR_INTC_0_INTC_3_VEC_ID XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_64_95_IRQ_INTR
#define XPAR_INTC_0_INTC_4_VEC_ID XPAR_ERT_PERIPHERALS_AXI_INTC_ERT_USER_PERIPHERALS_INTC_HIERARCHY_AXI_INTC_CU_96_127_IRQ_INTR

/******************************************************************/

/* Definitions for driver UARTLITE */
#define XPAR_XUARTLITE_NUM_INSTANCES 1U

/* Definitions for peripheral ERT_PERIPHERALS_ERT_UART */
#define XPAR_ERT_PERIPHERALS_ERT_UART_DEVICE_ID 0U
#define XPAR_ERT_PERIPHERALS_ERT_UART_BASEADDR 0x01F40000U
#define XPAR_ERT_PERIPHERALS_ERT_UART_HIGHADDR 0x01F4FFFFU
#define XPAR_ERT_PERIPHERALS_ERT_UART_BAUDRATE 9600U
#define XPAR_ERT_PERIPHERALS_ERT_UART_USE_PARITY 0U
#define XPAR_ERT_PERIPHERALS_ERT_UART_ODD_PARITY 0U
#define XPAR_ERT_PERIPHERALS_ERT_UART_DATA_BITS 8U

/* Canonical definitions for peripheral ERT_PERIPHERALS_ERT_UART */
#define XPAR_UARTLITE_0_DEVICE_ID 0U
#define XPAR_UARTLITE_0_BASEADDR 0x01F40000U
#define XPAR_UARTLITE_0_HIGHADDR 0x01F4FFFFU
#define XPAR_UARTLITE_0_BAUDRATE 9600U
#define XPAR_UARTLITE_0_USE_PARITY 0U
#define XPAR_UARTLITE_0_ODD_PARITY 0U
#define XPAR_UARTLITE_0_DATA_BITS 8U


/******************************************************************/
/* Definitions for driver WDTTB */
#define XPAR_XWDTTB_NUM_INSTANCES 1U

/* Definitions for peripheral ERT_PERIPHERALS_AXI_TIMEBASE_WDT */
#define XPAR_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_DEVICE_ID 0U
#define XPAR_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_BASEADDR 0x01F10000U
#define XPAR_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_HIGHADDR 0x01F1FFFFU
#define XPAR_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_ENABLE_WINDOW_WDT 0U
#define XPAR_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_MAX_COUNT_WIDTH 0U
#define XPAR_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_SST_COUNT_WIDTH 0U
#define XPAR_ERT_PERIPHERALS_AXI_TIMEBASE_WDT_IS_PL 1U

/* Canonical definitions for peripheral ERT_PERIPHERALS_AXI_TIMEBASE_WDT */
#define XPAR_WDTTB_0_DEVICE_ID 0U
#define XPAR_WDTTB_0_BASEADDR 0x01F10000U
#define XPAR_WDTTB_0_HIGHADDR 0x01F1FFFFU
#define XPAR_WDTTB_0_ENABLE_WINDOW_WDT 0U
#define XPAR_WDTTB_0_MAX_COUNT_WIDTH 0U
#define XPAR_WDTTB_0_SST_COUNT_WIDTH 0U
#define XPAR_WDTTB_0_IS_PL 1U


/******************************************************************/
#endif  /* end of protection macro */
